<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Change default size for single image shortcode
add_action('init', 'vc_update_defaults', 100);
function vc_update_defaults() {
	if ( class_exists( 'WPBMap' ) )  {
		// Set full size for single image by default
		$param = WPBMap::getParam( 'vc_single_image', 'img_size' );
		$param['value'] = 'full';
		vc_update_shortcode_param( 'vc_single_image', $param );
	}
}

// Add moreparams
add_action('init', 'vc_add_new_para', 100);
	function vc_add_new_para() {
	if ( function_exists( 'add_shortcode_param' ) ) {
		if ( defined( 'WPB_VC_VERSION' ) && version_compare( '5.0', WPB_VC_VERSION, '>=' ) ) {
			add_shortcode_param( 'number' , 'prelude_param_number' );
			add_shortcode_param( 'headings' , 'prelude_param_heading' );
		}
	}
	if ( function_exists( 'vc_add_shortcode_param' ) ) {
		vc_add_shortcode_param( 'number' , 'prelude_param_number' );
		vc_add_shortcode_param( 'headings' , 'prelude_param_heading' );
	}

	// Add Number param
	function prelude_param_number( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$type = isset($settings['type']) ? $settings['type'] : '';
		$suffix = isset($settings['suffix']) ? $settings['suffix'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$output = '<input type="number" class="wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '" value="'. $value.'" style="max-width:100px; margin-right: 10px;" />'. $suffix;
		return $output;
	}

	// Add Heading param
	function prelude_param_heading( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$text = isset($settings['text']) ? $settings['text'] : '';
		$output = '<h4 '. $dependency .' class="wpb_vc_param_value '. $class .'" style="margin: 10px 0 0;padding:10px;font-size:14px; background:#ebebeb;color:#666;">'. $text .'</h4>';
		$output .= '<input type="hidden" name="'. $settings['param_name'].'" class="wpb_vc_param_value '. $settings['param_name'] .' '. $settings['type'] .'_field" value="'. $value.'" '. $dependency.'/>';
		return $output;
	}
}

// Register CSS Icons Styles
add_action( 'vc_base_register_front_css', 'extra_vc_iconpicker_base_register_css' );
add_action( 'vc_base_register_admin_css', 'extra_vc_iconpicker_base_register_css' );
function extra_vc_iconpicker_base_register_css(){
    wp_enqueue_style('extraicon', plugin_dir_url( __FILE__ ) . '/assets/preludeicons.css');
    wp_enqueue_style('extraicon2', plugin_dir_url( __FILE__ ) . '/assets/pe-icon-7-stroke.css');
    wp_enqueue_style('extraicon3', plugin_dir_url( __FILE__ ) . '/assets/eleganticons.css');
}

// Define the Icons for VC Iconpicker
add_filter( 'vc_iconpicker-type-extraicon', 'vc_iconpicker_type_extraicon' );
function vc_iconpicker_type_extraicon() {
    return array(
		array("preico-salary-1" => "salary-1"),
		array("preico-selection-process" => "selection-process"),
		array("preico-interview-4" => "interview-4"),
		array("preico-women" => "women"),
		array("preico-company" => "company"),
		array("preico-man" => "man"),
		array("preico-strategy" => "strategy"),
		array("preico-position" => "position"),
		array("preico-contact" => "contact"),
		array("preico-salary" => "salary"),
		array("preico-approved" => "approved"),
		array("preico-skills" => "skills"),
		array("preico-briefcase" => "briefcase"),
		array("preico-recruitment-1" => "recruitment-1"),
		array("preico-interview-3" => "interview-3"),
		array("preico-job-3" => "job-3"),
		array("preico-clothes" => "clothes"),
		array("preico-rating" => "rating"),
		array("preico-handshake" => "handshake"),
		array("preico-video-conference-1" => "video-conference-1"),
		array("preico-resume-1" => "resume-1"),
		array("preico-thinking" => "thinking"),
		array("preico-job-2" => "job-2"),
		array("preico-interview-2" => "interview-2"),
		array("preico-notification" => "notification"),
		array("preico-career" => "career"),
		array("preico-microphone" => "microphone"),
		array("preico-selection" => "selection"),
		array("preico-hiring-1" => "hiring-1"),
		array("preico-hiring" => "hiring"),
		array("preico-job-1" => "job-1"),
		array("preico-hired" => "hired"),
		array("preico-time" => "time"),
		array("preico-appointment" => "appointment"),
		array("preico-video-conference" => "video-conference"),
		array("preico-check-list" => "check-list"),
		array("preico-curriculum" => "curriculum"),
		array("preico-certificate" => "certificate"),
		array("preico-contract" => "contract"),
		array("preico-recruitment" => "recruitment"),
		array("preico-profiles" => "profiles"),
		array("preico-conversation-1" => "conversation-1"),
		array("preico-approval" => "approval"),
		array("preico-job" => "job"),
		array("preico-resume" => "resume"),
		array("preico-interview-1" => "interview-1"),
		array("preico-interview" => "interview"),
		array("preico-conversation" => "conversation"),
		array("preico-application" => "application"),
		array("preico-personal-profile" => "personal-profile"),
		array("preico-website-2" => "website-2"),
		array("preico-idea" => "idea"),
		array("preico-server" => "server"),
		array("preico-promotion" => "promotion"),
		array("preico-website-1" => "website-1"),
		array("preico-browser-5" => "browser-5"),
		array("preico-coding-7" => "coding-7"),
		array("preico-browser-4" => "browser-4"),
		array("preico-analytics-1" => "analytics-1"),
		array("preico-browser-3" => "browser-3"),
		array("preico-browser-2" => "browser-2"),
		array("preico-analytics" => "analytics"),
		array("preico-filter" => "filter"),
		array("preico-optimization" => "optimization"),
		array("preico-landing-page" => "landing-page"),
		array("preico-cloud-computing-1" => "cloud-computing-1"),
		array("preico-responsive" => "responsive"),
		array("preico-algorithm" => "algorithm"),
		array("preico-browser-1" => "browser-1"),
		array("preico-coding-6" => "coding-6"),
		array("preico-coding-5" => "coding-5"),
		array("preico-sitemap" => "sitemap"),
		array("preico-coding-4" => "coding-4"),
		array("preico-cloud-computing" => "cloud-computing"),
		array("preico-coding-3" => "coding-3"),
		array("preico-tools" => "tools"),
		array("preico-api" => "api"),
		array("preico-coding-2" => "coding-2"),
		array("preico-browser" => "browser"),
		array("preico-file" => "file"),
		array("preico-error-404" => "error-404"),
		array("preico-settings" => "settings"),
		array("preico-user-1" => "user-1"),
		array("preico-domain" => "domain"),
		array("preico-user" => "user"),
		array("preico-bug" => "bug"),
		array("preico-startup-1" => "startup-1"),
		array("preico-login" => "login"),
		array("preico-wireframe" => "wireframe"),
		array("preico-vector" => "vector"),
		array("preico-startup" => "startup"),
		array("preico-display" => "display"),
		array("preico-blueprint" => "blueprint"),
		array("preico-coding-1" => "coding-1"),
		array("preico-laptop" => "laptop"),
		array("preico-tap" => "tap"),
		array("preico-image" => "image"),
		array("preico-website" => "website"),
		array("preico-coding" => "coding"),
		array("preico-speedometer" => "speedometer"),
		array("preico-light-bulb-1" => "light-bulb-1"),
		array("preico-sprout" => "sprout"),
		array("preico-goal" => "goal"),
		array("preico-visualization" => "visualization"),
		array("preico-trophy" => "trophy"),
		array("preico-panel" => "panel"),
		array("preico-briefcase1" => "briefcase1"),
		array("preico-bar-chart" => "bar-chart"),
		array("preico-startup1" => "startup1"),
		array("preico-dollar" => "dollar"),
		array("preico-thinking1" => "thinking1"),
		array("preico-management" => "management"),
		array("preico-time1" => "time1"),
		array("preico-light-bulb" => "light-bulb"),
		array("preico-humanpictos" => "humanpictos"),
		array("preico-team" => "team"),
		array("preico-package" => "package"),
		array("preico-teamwork" => "teamwork"),
		array("preico-care" => "care"),
		array("preico-handshake1" => "handshake1"),
		array("preico-puzzle" => "puzzle"),
		array("preico-networking-2" => "networking-2"),
		array("preico-user-11" => "user-11"),
		array("preico-user1" => "user1"),
		array("preico-chat" => "chat"),
		array("preico-networking-1" => "networking-1"),
		array("preico-group" => "group"),
		array("preico-worldwide" => "worldwide"),
		array("preico-podium" => "podium"),
		array("preico-idea-2" => "idea-2"),
		array("preico-laptop-1" => "laptop-1"),
		array("preico-target" => "target"),
		array("preico-networking" => "networking"),
		array("preico-idea-1" => "idea-1"),
		array("preico-coin-1" => "coin-1"),
		array("preico-presentation" => "presentation"),
		array("preico-flag" => "flag"),
		array("preico-diamond" => "diamond"),
		array("preico-like" => "like"),
		array("preico-settings1" => "settings1"),
		array("preico-ipo" => "ipo"),
		array("preico-contract1" => "contract1"),
		array("preico-line-chart" => "line-chart"),
		array("preico-coin" => "coin"),
		array("preico-idea1" => "idea1"),
		array("preico-hourglass" => "hourglass"),
		array("preico-laptop1" => "laptop1"),
		array("preico-money-bag" => "money-bag"),
		array("preico-stationery" => "stationery"),
		array("preico-growth" => "growth"),
		array("preico-arrow-right" => "arrow-right")
    );
}
add_filter( 'vc_iconpicker-type-extraicon2', 'vc_iconpicker_type_extraicon2' );
function vc_iconpicker_type_extraicon2() {
    return array(
		array("pe-7s-album" => "pe-7s-album"),
		array("pe-7s-arc" => "pe-7s-arc"),
		array("pe-7s-back-2" => "pe-7s-back-2"),
		array("pe-7s-bandaid" => "pe-7s-bandaid"),
		array("pe-7s-car" => "pe-7s-car"),
		array("pe-7s-diamond" => "pe-7s-diamond"),
		array("pe-7s-door-lock" => "pe-7s-door-lock"),
		array("pe-7s-eyedropper" => "pe-7s-eyedropper"),
		array("pe-7s-female" => "pe-7s-female"),
		array("pe-7s-gym" => "pe-7s-gym"),
		array("pe-7s-hammer" => "pe-7s-hammer"),
		array("pe-7s-headphones" => "pe-7s-headphones"),
		array("pe-7s-helm" => "pe-7s-helm"),
		array("pe-7s-hourglass" => "pe-7s-hourglass"),
		array("pe-7s-leaf" => "pe-7s-leaf"),
		array("pe-7s-magic-wand" => "pe-7s-magic-wand"),
		array("pe-7s-male" => "pe-7s-male"),
		array("pe-7s-map-2" => "pe-7s-map-2"),
		array("pe-7s-next-2" => "pe-7s-next-2"),
		array("pe-7s-paint-bucket" => "pe-7s-paint-bucket"),
		array("pe-7s-pendrive" => "pe-7s-pendrive"),
		array("pe-7s-photo" => "pe-7s-photo"),
		array("pe-7s-piggy" => "pe-7s-piggy"),
		array("pe-7s-plugin" => "pe-7s-plugin"),
		array("pe-7s-refresh-2" => "pe-7s-refresh-2"),
		array("pe-7s-rocket" => "pe-7s-rocket"),
		array("pe-7s-settings" => "pe-7s-settings"),
		array("pe-7s-shield" => "pe-7s-shield"),
		array("pe-7s-smile" => "pe-7s-smile"),
		array("pe-7s-usb" => "pe-7s-usb"),
		array("pe-7s-vector" => "pe-7s-vector"),
		array("pe-7s-wine" => "pe-7s-wine"),
		array("pe-7s-cloud-upload" => "pe-7s-cloud-upload"),
		array("pe-7s-cash" => "pe-7s-cash"),
		array("pe-7s-close" => "pe-7s-close"),
		array("pe-7s-bluetooth" => "pe-7s-bluetooth"),
		array("pe-7s-cloud-download" => "pe-7s-cloud-download"),
		array("pe-7s-way" => "pe-7s-way"),
		array("pe-7s-close-circle" => "pe-7s-close-circle"),
		array("pe-7s-id" => "pe-7s-id"),
		array("pe-7s-angle-up" => "pe-7s-angle-up"),
		array("pe-7s-wristwatch" => "pe-7s-wristwatch"),
		array("pe-7s-angle-up-circle" => "pe-7s-angle-up-circle"),
		array("pe-7s-world" => "pe-7s-world"),
		array("pe-7s-angle-right" => "pe-7s-angle-right"),
		array("pe-7s-volume" => "pe-7s-volume"),
		array("pe-7s-angle-right-circle" => "pe-7s-angle-right-circle"),
		array("pe-7s-users" => "pe-7s-users"),
		array("pe-7s-angle-left" => "pe-7s-angle-left"),
		array("pe-7s-user-female" => "pe-7s-user-female"),
		array("pe-7s-angle-left-circle" => "pe-7s-angle-left-circle"),
		array("pe-7s-up-arrow" => "pe-7s-up-arrow"),
		array("pe-7s-angle-down" => "pe-7s-angle-down"),
		array("pe-7s-switch" => "pe-7s-switch"),
		array("pe-7s-angle-down-circle" => "pe-7s-angle-down-circle"),
		array("pe-7s-scissors" => "pe-7s-scissors"),
		array("pe-7s-wallet" => "pe-7s-wallet"),
		array("pe-7s-safe" => "pe-7s-safe"),
		array("pe-7s-volume2" => "pe-7s-volume2"),
		array("pe-7s-volume1" => "pe-7s-volume1"),
		array("pe-7s-voicemail" => "pe-7s-voicemail"),
		array("pe-7s-video" => "pe-7s-video"),
		array("pe-7s-user" => "pe-7s-user"),
		array("pe-7s-upload" => "pe-7s-upload"),
		array("pe-7s-unlock" => "pe-7s-unlock"),
		array("pe-7s-umbrella" => "pe-7s-umbrella"),
		array("pe-7s-trash" => "pe-7s-trash"),
		array("pe-7s-tools" => "pe-7s-tools"),
		array("pe-7s-timer" => "pe-7s-timer"),
		array("pe-7s-ticket" => "pe-7s-ticket"),
		array("pe-7s-target" => "pe-7s-target"),
		array("pe-7s-sun" => "pe-7s-sun"),
		array("pe-7s-study" => "pe-7s-study"),
		array("pe-7s-stopwatch" => "pe-7s-stopwatch"),
		array("pe-7s-star" => "pe-7s-star"),
		array("pe-7s-speaker" => "pe-7s-speaker"),
		array("pe-7s-signal" => "pe-7s-signal"),
		array("pe-7s-shuffle" => "pe-7s-shuffle"),
		array("pe-7s-shopbag" => "pe-7s-shopbag"),
		array("pe-7s-share" => "pe-7s-share"),
		array("pe-7s-server" => "pe-7s-server"),
		array("pe-7s-search" => "pe-7s-search"),
		array("pe-7s-film" => "pe-7s-film"),
		array("pe-7s-science" => "pe-7s-science"),
		array("pe-7s-disk" => "pe-7s-disk"),
		array("pe-7s-ribbon" => "pe-7s-ribbon"),
		array("pe-7s-repeat" => "pe-7s-repeat"),
		array("pe-7s-refresh" => "pe-7s-refresh"),
		array("pe-7s-add-user" => "pe-7s-add-user"),
		array("pe-7s-refresh-cloud" => "pe-7s-refresh-cloud"),
		array("pe-7s-paperclip" => "pe-7s-paperclip"),
		array("pe-7s-radio" => "pe-7s-radio"),
		array("pe-7s-note2" => "pe-7s-note2"),
		array("pe-7s-print" => "pe-7s-print"),
		array("pe-7s-network" => "pe-7s-network"),
		array("pe-7s-prev" => "pe-7s-prev"),
		array("pe-7s-mute" => "pe-7s-mute"),
		array("pe-7s-power" => "pe-7s-power"),
		array("pe-7s-medal" => "pe-7s-medal"),
		array("pe-7s-portfolio" => "pe-7s-portfolio"),
		array("pe-7s-like2" => "pe-7s-like2"),
		array("pe-7s-plus" => "pe-7s-plus"),
		array("pe-7s-left-arrow" => "pe-7s-left-arrow"),
		array("pe-7s-play" => "pe-7s-play"),
		array("pe-7s-key" => "pe-7s-key"),
		array("pe-7s-plane" => "pe-7s-plane"),
		array("pe-7s-joy" => "pe-7s-joy"),
		array("pe-7s-photo-gallery" => "pe-7s-photo-gallery"),
		array("pe-7s-pin" => "pe-7s-pin"),
		array("pe-7s-phone" => "pe-7s-phone"),
		array("pe-7s-plug" => "pe-7s-plug"),
		array("pe-7s-pen" => "pe-7s-pen"),
		array("pe-7s-right-arrow" => "pe-7s-right-arrow"),
		array("pe-7s-paper-plane" => "pe-7s-paper-plane"),
		array("pe-7s-delete-user" => "pe-7s-delete-user"),
		array("pe-7s-paint" => "pe-7s-paint"),
		array("pe-7s-bottom-arrow" => "pe-7s-bottom-arrow"),
		array("pe-7s-notebook" => "pe-7s-notebook"),
		array("pe-7s-note" => "pe-7s-note"),
		array("pe-7s-next" => "pe-7s-next"),
		array("pe-7s-news-paper" => "pe-7s-news-paper"),
		array("pe-7s-musiclist" => "pe-7s-musiclist"),
		array("pe-7s-music" => "pe-7s-music"),
		array("pe-7s-mouse" => "pe-7s-mouse"),
		array("pe-7s-more" => "pe-7s-more"),
		array("pe-7s-moon" => "pe-7s-moon"),
		array("pe-7s-monitor" => "pe-7s-monitor"),
		array("pe-7s-micro" => "pe-7s-micro"),
		array("pe-7s-menu" => "pe-7s-menu"),
		array("pe-7s-map" => "pe-7s-map"),
		array("pe-7s-map-marker" => "pe-7s-map-marker"),
		array("pe-7s-mail" => "pe-7s-mail"),
		array("pe-7s-mail-open" => "pe-7s-mail-open"),
		array("pe-7s-mail-open-file" => "pe-7s-mail-open-file"),
		array("pe-7s-magnet" => "pe-7s-magnet"),
		array("pe-7s-loop" => "pe-7s-loop"),
		array("pe-7s-look" => "pe-7s-look"),
		array("pe-7s-lock" => "pe-7s-lock"),
		array("pe-7s-lintern" => "pe-7s-lintern"),
		array("pe-7s-link" => "pe-7s-link"),
		array("pe-7s-like" => "pe-7s-like"),
		array("pe-7s-light" => "pe-7s-light"),
		array("pe-7s-less" => "pe-7s-less"),
		array("pe-7s-keypad" => "pe-7s-keypad"),
		array("pe-7s-junk" => "pe-7s-junk"),
		array("pe-7s-info" => "pe-7s-info"),
		array("pe-7s-home" => "pe-7s-home"),
		array("pe-7s-help2" => "pe-7s-help2"),
		array("pe-7s-help1" => "pe-7s-help1"),
		array("pe-7s-graph3" => "pe-7s-graph3"),
		array("pe-7s-graph2" => "pe-7s-graph2"),
		array("pe-7s-graph1" => "pe-7s-graph1"),
		array("pe-7s-graph" => "pe-7s-graph"),
		array("pe-7s-global" => "pe-7s-global"),
		array("pe-7s-gleam" => "pe-7s-gleam"),
		array("pe-7s-glasses" => "pe-7s-glasses"),
		array("pe-7s-gift" => "pe-7s-gift"),
		array("pe-7s-folder" => "pe-7s-folder"),
		array("pe-7s-flag" => "pe-7s-flag"),
		array("pe-7s-filter" => "pe-7s-filter"),
		array("pe-7s-file" => "pe-7s-file"),
		array("pe-7s-expand1" => "pe-7s-expand1"),
		array("pe-7s-exapnd2" => "pe-7s-exapnd2"),
		array("pe-7s-edit" => "pe-7s-edit"),
		array("pe-7s-drop" => "pe-7s-drop"),
		array("pe-7s-drawer" => "pe-7s-drawer"),
		array("pe-7s-download" => "pe-7s-download"),
		array("pe-7s-display2" => "pe-7s-display2"),
		array("pe-7s-display1" => "pe-7s-display1"),
		array("pe-7s-diskette" => "pe-7s-diskette"),
		array("pe-7s-date" => "pe-7s-date"),
		array("pe-7s-cup" => "pe-7s-cup"),
		array("pe-7s-culture" => "pe-7s-culture"),
		array("pe-7s-crop" => "pe-7s-crop"),
		array("pe-7s-credit" => "pe-7s-credit"),
		array("pe-7s-copy-file" => "pe-7s-copy-file"),
		array("pe-7s-config" => "pe-7s-config"),
		array("pe-7s-compass" => "pe-7s-compass"),
		array("pe-7s-comment" => "pe-7s-comment"),
		array("pe-7s-coffee" => "pe-7s-coffee"),
		array("pe-7s-cloud" => "pe-7s-cloud"),
		array("pe-7s-clock" => "pe-7s-clock"),
		array("pe-7s-check" => "pe-7s-check"),
		array("pe-7s-chat" => "pe-7s-chat"),
		array("pe-7s-cart" => "pe-7s-cart"),
		array("pe-7s-camera" => "pe-7s-camera"),
		array("pe-7s-call" => "pe-7s-call"),
		array("pe-7s-calculator" => "pe-7s-calculator"),
		array("pe-7s-browser" => "pe-7s-browser"),
		array("pe-7s-box2" => "pe-7s-box2"),
		array("pe-7s-box1" => "pe-7s-box1"),
		array("pe-7s-bookmarks" => "pe-7s-bookmarks"),
		array("pe-7s-bicycle" => "pe-7s-bicycle"),
		array("pe-7s-bell" => "pe-7s-bell"),
		array("pe-7s-battery" => "pe-7s-battery"),
		array("pe-7s-ball" => "pe-7s-ball"),
		array("pe-7s-back" => "pe-7s-back"),
		array("pe-7s-attention" => "pe-7s-attention"),
		array("pe-7s-anchor" => "pe-7s-anchor"),
		array("pe-7s-albums" => "pe-7s-albums"),
		array("pe-7s-alarm" => "pe-7s-alarm"),
		array("pe-7s-airplay" => "pe-7s-airplay")
    );
}
// Define the Icons for VC Iconpicker
add_filter( 'vc_iconpicker-type-extraicon3', 'vc_iconpicker_type_extraicon3' );
function vc_iconpicker_type_extraicon3() {
    return array(
		array("elegant-arrow_up" => "elegant-arrow_up"),
		array("elegant-arrow_down" => "elegant-arrow_down"),
		array("elegant-arrow_left" => "elegant-arrow_left"),
		array("elegant-arrow_right" => "elegant-arrow_right"),
		array("elegant-arrow_left-up" => "elegant-arrow_left-up"),
		array("elegant-arrow_right-up" => "elegant-arrow_right-up"),
		array("elegant-arrow_right-down" => "elegant-arrow_right-down"),
		array("elegant-arrow_left-down" => "elegant-arrow_left-down"),
		array("elegant-arrow-up-down" => "elegant-arrow-up-down"),
		array("elegant-arrow_up-down_alt" => "elegant-arrow_up-down_alt"),
		array("elegant-arrow_left-right_alt" => "elegant-arrow_left-right_alt"),
		array("elegant-arrow_left-right" => "elegant-arrow_left-right"),
		array("elegant-arrow_expand_alt2" => "elegant-arrow_expand_alt2"),
		array("elegant-arrow_expand_alt" => "elegant-arrow_expand_alt"),
		array("elegant-arrow_condense" => "elegant-arrow_condense"),
		array("elegant-arrow_expand" => "elegant-arrow_expand"),
		array("elegant-arrow_move" => "elegant-arrow_move"),
		array("elegant-arrow_carrot-up" => "elegant-arrow_carrot-up"),
		array("elegant-arrow_carrot-down" => "elegant-arrow_carrot-down"),
		array("elegant-arrow_carrot-left" => "elegant-arrow_carrot-left"),
		array("elegant-arrow_carrot-right" => "elegant-arrow_carrot-right"),
		array("elegant-arrow_carrot-2up" => "elegant-arrow_carrot-2up"),
		array("elegant-arrow_carrot-2down" => "elegant-arrow_carrot-2down"),
		array("elegant-arrow_carrot-2left" => "elegant-arrow_carrot-2left"),
		array("elegant-arrow_carrot-2right" => "elegant-arrow_carrot-2right"),
		array("elegant-arrow_carrot-up_alt2" => "elegant-arrow_carrot-up_alt2"),
		array("elegant-arrow_carrot-down_alt2" => "elegant-arrow_carrot-down_alt2"),
		array("elegant-arrow_carrot-left_alt2" => "elegant-arrow_carrot-left_alt2"),
		array("elegant-arrow_carrot-right_alt2" => "elegant-arrow_carrot-right_alt2"),
		array("elegant-arrow_carrot-2up_alt2" => "elegant-arrow_carrot-2up_alt2"),
		array("elegant-arrow_carrot-2down_alt2" => "elegant-arrow_carrot-2down_alt2"),
		array("elegant-arrow_carrot-2left_alt2" => "elegant-arrow_carrot-2left_alt2"),
		array("elegant-arrow_carrot-2right_alt2" => "elegant-arrow_carrot-2right_alt2"),
		array("elegant-arrow_triangle-up" => "elegant-arrow_triangle-up"),
		array("elegant-arrow_triangle-down" => "elegant-arrow_triangle-down"),
		array("elegant-arrow_triangle-left" => "elegant-arrow_triangle-left"),
		array("elegant-arrow_triangle-right" => "elegant-arrow_triangle-right"),
		array("elegant-arrow_triangle-up_alt2" => "elegant-arrow_triangle-up_alt2"),
		array("elegant-arrow_triangle-down_alt2" => "elegant-arrow_triangle-down_alt2"),
		array("elegant-arrow_triangle-left_alt2" => "elegant-arrow_triangle-left_alt2"),
		array("elegant-arrow_triangle-right_alt2" => "elegant-arrow_triangle-right_alt2"),
		array("elegant-arrow_back" => "elegant-arrow_back"),
		array("elegant-icon_minus-06" => "elegant-icon_minus-06"),
		array("elegant-icon_plus" => "elegant-icon_plus"),
		array("elegant-icon_close" => "elegant-icon_close"),
		array("elegant-icon_check" => "elegant-icon_check"),
		array("elegant-icon_minus_alt2" => "elegant-icon_minus_alt2"),
		array("elegant-icon_plus_alt2" => "elegant-icon_plus_alt2"),
		array("elegant-icon_close_alt2" => "elegant-icon_close_alt2"),
		array("elegant-icon_check_alt2" => "elegant-icon_check_alt2"),
		array("elegant-icon_zoom-out_alt" => "elegant-icon_zoom-out_alt"),
		array("elegant-icon_zoom-in_alt" => "elegant-icon_zoom-in_alt"),
		array("elegant-icon_search" => "elegant-icon_search"),
		array("elegant-icon_box-empty" => "elegant-icon_box-empty"),
		array("elegant-icon_box-selected" => "elegant-icon_box-selected"),
		array("elegant-icon_minus-box" => "elegant-icon_minus-box"),
		array("elegant-icon_plus-box" => "elegant-icon_plus-box"),
		array("elegant-icon_box-checked" => "elegant-icon_box-checked"),
		array("elegant-icon_circle-empty" => "elegant-icon_circle-empty"),
		array("elegant-icon_circle-slelected" => "elegant-icon_circle-slelected"),
		array("elegant-icon_stop_alt2" => "elegant-icon_stop_alt2"),
		array("elegant-icon_stop" => "elegant-icon_stop"),
		array("elegant-icon_pause_alt2" => "elegant-icon_pause_alt2"),
		array("elegant-icon_pause" => "elegant-icon_pause"),
		array("elegant-icon_menu" => "elegant-icon_menu"),
		array("elegant-icon_menu-square_alt2" => "elegant-icon_menu-square_alt2"),
		array("elegant-icon_menu-circle_alt2" => "elegant-icon_menu-circle_alt2"),
		array("elegant-icon_ul" => "elegant-icon_ul"),
		array("elegant-icon_ol" => "elegant-icon_ol"),
		array("elegant-icon_adjust-horiz" => "elegant-icon_adjust-horiz"),
		array("elegant-icon_adjust-vert" => "elegant-icon_adjust-vert"),
		array("elegant-icon_document_alt" => "elegant-icon_document_alt"),
		array("elegant-icon_documents_alt" => "elegant-icon_documents_alt"),
		array("elegant-icon_pencil" => "elegant-icon_pencil"),
		array("elegant-icon_pencil-edit_alt" => "elegant-icon_pencil-edit_alt"),
		array("elegant-icon_pencil-edit" => "elegant-icon_pencil-edit"),
		array("elegant-icon_folder-alt" => "elegant-icon_folder-alt"),
		array("elegant-icon_folder-open_alt" => "elegant-icon_folder-open_alt"),
		array("elegant-icon_folder-add_alt" => "elegant-icon_folder-add_alt"),
		array("elegant-icon_info_alt" => "elegant-icon_info_alt"),
		array("elegant-icon_error-oct_alt" => "elegant-icon_error-oct_alt"),
		array("elegant-icon_error-circle_alt" => "elegant-icon_error-circle_alt"),
		array("elegant-icon_error-triangle_alt" => "elegant-icon_error-triangle_alt"),
		array("elegant-icon_question_alt2" => "elegant-icon_question_alt2"),
		array("elegant-icon_question" => "elegant-icon_question"),
		array("elegant-icon_comment_alt" => "elegant-icon_comment_alt"),
		array("elegant-icon_chat_alt" => "elegant-icon_chat_alt"),
		array("elegant-icon_vol-mute_alt" => "elegant-icon_vol-mute_alt"),
		array("elegant-icon_volume-low_alt" => "elegant-icon_volume-low_alt"),
		array("elegant-icon_volume-high_alt" => "elegant-icon_volume-high_alt"),
		array("elegant-icon_quotations" => "elegant-icon_quotations"),
		array("elegant-icon_quotations_alt2" => "elegant-icon_quotations_alt2"),
		array("elegant-icon_clock_alt" => "elegant-icon_clock_alt"),
		array("elegant-icon_lock_alt" => "elegant-icon_lock_alt"),
		array("elegant-icon_lock-open_alt" => "elegant-icon_lock-open_alt"),
		array("elegant-icon_key_alt" => "elegant-icon_key_alt"),
		array("elegant-icon_cloud_alt" => "elegant-icon_cloud_alt"),
		array("elegant-icon_cloud-upload_alt" => "elegant-icon_cloud-upload_alt"),
		array("elegant-icon_cloud-download_alt" => "elegant-icon_cloud-download_alt"),
		array("elegant-icon_image" => "elegant-icon_image"),
		array("elegant-icon_images" => "elegant-icon_images"),
		array("elegant-icon_lightbulb_alt" => "elegant-icon_lightbulb_alt"),
		array("elegant-icon_gift_alt" => "elegant-icon_gift_alt"),
		array("elegant-icon_house_alt" => "elegant-icon_house_alt"),
		array("elegant-icon_genius" => "elegant-icon_genius"),
		array("elegant-icon_mobile" => "elegant-icon_mobile"),
		array("elegant-icon_tablet" => "elegant-icon_tablet"),
		array("elegant-icon_laptop" => "elegant-icon_laptop"),
		array("elegant-icon_desktop" => "elegant-icon_desktop"),
		array("elegant-icon_camera_alt" => "elegant-icon_camera_alt"),
		array("elegant-icon_mail_alt" => "elegant-icon_mail_alt"),
		array("elegant-icon_cone_alt" => "elegant-icon_cone_alt"),
		array("elegant-icon_ribbon_alt" => "elegant-icon_ribbon_alt"),
		array("elegant-icon_bag_alt" => "elegant-icon_bag_alt"),
		array("elegant-icon_creditcard" => "elegant-icon_creditcard"),
		array("elegant-icon_cart_alt" => "elegant-icon_cart_alt"),
		array("elegant-icon_paperclip" => "elegant-icon_paperclip"),
		array("elegant-icon_tag_alt" => "elegant-icon_tag_alt"),
		array("elegant-icon_tags_alt" => "elegant-icon_tags_alt"),
		array("elegant-icon_trash_alt" => "elegant-icon_trash_alt"),
		array("elegant-icon_cursor_alt" => "elegant-icon_cursor_alt"),
		array("elegant-icon_mic_alt" => "elegant-icon_mic_alt"),
		array("elegant-icon_compass_alt" => "elegant-icon_compass_alt"),
		array("elegant-icon_pin_alt" => "elegant-icon_pin_alt"),
		array("elegant-icon_pushpin_alt" => "elegant-icon_pushpin_alt"),
		array("elegant-icon_map_alt" => "elegant-icon_map_alt"),
		array("elegant-icon_drawer_alt" => "elegant-icon_drawer_alt"),
		array("elegant-icon_toolbox_alt" => "elegant-icon_toolbox_alt"),
		array("elegant-icon_book_alt" => "elegant-icon_book_alt"),
		array("elegant-icon_calendar" => "elegant-icon_calendar"),
		array("elegant-icon_film" => "elegant-icon_film"),
		array("elegant-icon_table" => "elegant-icon_table"),
		array("elegant-icon_contacts_alt" => "elegant-icon_contacts_alt"),
		array("elegant-icon_headphones" => "elegant-icon_headphones"),
		array("elegant-icon_lifesaver" => "elegant-icon_lifesaver"),
		array("elegant-icon_piechart" => "elegant-icon_piechart"),
		array("elegant-icon_refresh" => "elegant-icon_refresh"),
		array("elegant-icon_link_alt" => "elegant-icon_link_alt"),
		array("elegant-icon_link" => "elegant-icon_link"),
		array("elegant-icon_loading" => "elegant-icon_loading"),
		array("elegant-icon_blocked" => "elegant-icon_blocked"),
		array("elegant-icon_archive_alt" => "elegant-icon_archive_alt"),
		array("elegant-icon_heart_alt" => "elegant-icon_heart_alt"),
		array("elegant-icon_star_alt" => "elegant-icon_star_alt"),
		array("elegant-icon_star-half_alt" => "elegant-icon_star-half_alt"),
		array("elegant-icon_star" => "elegant-icon_star"),
		array("elegant-icon_star-half" => "elegant-icon_star-half"),
		array("elegant-icon_tools" => "elegant-icon_tools"),
		array("elegant-icon_tool" => "elegant-icon_tool"),
		array("elegant-icon_cog" => "elegant-icon_cog"),
		array("elegant-icon_cogs" => "elegant-icon_cogs"),
		array("elegant-arrow_up_alt" => "elegant-arrow_up_alt"),
		array("elegant-arrow_down_alt" => "elegant-arrow_down_alt"),
		array("elegant-arrow_left_alt" => "elegant-arrow_left_alt"),
		array("elegant-arrow_right_alt" => "elegant-arrow_right_alt"),
		array("elegant-arrow_left-up_alt" => "elegant-arrow_left-up_alt"),
		array("elegant-arrow_right-up_alt" => "elegant-arrow_right-up_alt"),
		array("elegant-arrow_right-down_alt" => "elegant-arrow_right-down_alt"),
		array("elegant-arrow_left-down_alt" => "elegant-arrow_left-down_alt"),
		array("elegant-arrow_condense_alt" => "elegant-arrow_condense_alt"),
		array("elegant-arrow_expand_alt3" => "elegant-arrow_expand_alt3"),
		array("elegant-arrow_carrot_up_alt" => "elegant-arrow_carrot_up_alt"),
		array("elegant-arrow_carrot-down_alt" => "elegant-arrow_carrot-down_alt"),
		array("elegant-arrow_carrot-left_alt" => "elegant-arrow_carrot-left_alt"),
		array("elegant-arrow_carrot-right_alt" => "elegant-arrow_carrot-right_alt"),
		array("elegant-arrow_carrot-2up_alt" => "elegant-arrow_carrot-2up_alt"),
		array("elegant-arrow_carrot-2dwnn_alt" => "elegant-arrow_carrot-2dwnn_alt"),
		array("elegant-arrow_carrot-2left_alt" => "elegant-arrow_carrot-2left_alt"),
		array("elegant-arrow_carrot-2right_alt" => "elegant-arrow_carrot-2right_alt"),
		array("elegant-arrow_triangle-up_alt" => "elegant-arrow_triangle-up_alt"),
		array("elegant-arrow_triangle-down_alt" => "elegant-arrow_triangle-down_alt"),
		array("elegant-arrow_triangle-left_alt" => "elegant-arrow_triangle-left_alt"),
		array("elegant-arrow_triangle-right_alt" => "elegant-arrow_triangle-right_alt"),
		array("elegant-icon_minus_alt" => "elegant-icon_minus_alt"),
		array("elegant-icon_plus_alt" => "elegant-icon_plus_alt"),
		array("elegant-icon_close_alt" => "elegant-icon_close_alt"),
		array("elegant-icon_check_alt" => "elegant-icon_check_alt"),
		array("elegant-icon_zoom-out" => "elegant-icon_zoom-out"),
		array("elegant-icon_zoom-in" => "elegant-icon_zoom-in"),
		array("elegant-icon_stop_alt" => "elegant-icon_stop_alt"),
		array("elegant-icon_menu-square_alt" => "elegant-icon_menu-square_alt"),
		array("elegant-icon_menu-circle_alt" => "elegant-icon_menu-circle_alt"),
		array("elegant-icon_document" => "elegant-icon_document"),
		array("elegant-icon_documents" => "elegant-icon_documents"),
		array("elegant-icon_pencil_alt" => "elegant-icon_pencil_alt"),
		array("elegant-icon_folder" => "elegant-icon_folder"),
		array("elegant-icon_folder-open" => "elegant-icon_folder-open"),
		array("elegant-icon_folder-add" => "elegant-icon_folder-add"),
		array("elegant-icon_folder_upload" => "elegant-icon_folder_upload"),
		array("elegant-icon_folder_download" => "elegant-icon_folder_download"),
		array("elegant-icon_info" => "elegant-icon_info"),
		array("elegant-icon_error-circle" => "elegant-icon_error-circle"),
		array("elegant-icon_error-oct" => "elegant-icon_error-oct"),
		array("elegant-icon_error-triangle" => "elegant-icon_error-triangle"),
		array("elegant-icon_question_alt" => "elegant-icon_question_alt"),
		array("elegant-icon_comment" => "elegant-icon_comment"),
		array("elegant-icon_chat" => "elegant-icon_chat"),
		array("elegant-icon_vol-mute" => "elegant-icon_vol-mute"),
		array("elegant-icon_volume-low" => "elegant-icon_volume-low"),
		array("elegant-icon_volume-high" => "elegant-icon_volume-high"),
		array("elegant-icon_quotations_alt" => "elegant-icon_quotations_alt"),
		array("elegant-icon_clock" => "elegant-icon_clock"),
		array("elegant-icon_lock" => "elegant-icon_lock"),
		array("elegant-icon_lock-open" => "elegant-icon_lock-open"),
		array("elegant-icon_key" => "elegant-icon_key"),
		array("elegant-icon_cloud" => "elegant-icon_cloud"),
		array("elegant-icon_cloud-upload" => "elegant-icon_cloud-upload"),
		array("elegant-icon_cloud-download" => "elegant-icon_cloud-download"),
		array("elegant-icon_lightbulb" => "elegant-icon_lightbulb"),
		array("elegant-icon_gift" => "elegant-icon_gift"),
		array("elegant-icon_house" => "elegant-icon_house"),
		array("elegant-icon_camera" => "elegant-icon_camera"),
		array("elegant-icon_mail" => "elegant-icon_mail"),
		array("elegant-icon_cone" => "elegant-icon_cone"),
		array("elegant-icon_ribbon" => "elegant-icon_ribbon"),
		array("elegant-icon_bag" => "elegant-icon_bag"),
		array("elegant-icon_cart" => "elegant-icon_cart"),
		array("elegant-icon_tag" => "elegant-icon_tag"),
		array("elegant-icon_tags" => "elegant-icon_tags"),
		array("elegant-icon_trash" => "elegant-icon_trash"),
		array("elegant-icon_cursor" => "elegant-icon_cursor"),
		array("elegant-icon_mic" => "elegant-icon_mic"),
		array("elegant-icon_compass" => "elegant-icon_compass"),
		array("elegant-icon_pin" => "elegant-icon_pin"),
		array("elegant-icon_pushpin" => "elegant-icon_pushpin"),
		array("elegant-icon_map" => "elegant-icon_map"),
		array("elegant-icon_drawer" => "elegant-icon_drawer"),
		array("elegant-icon_toolbox" => "elegant-icon_toolbox"),
		array("elegant-icon_book" => "elegant-icon_book"),
		array("elegant-icon_contacts" => "elegant-icon_contacts"),
		array("elegant-icon_archive" => "elegant-icon_archive"),
		array("elegant-icon_heart" => "elegant-icon_heart"),
		array("elegant-icon_profile" => "elegant-icon_profile"),
		array("elegant-icon_group" => "elegant-icon_group"),
		array("elegant-icon_grid-2x2" => "elegant-icon_grid-2x2"),
		array("elegant-icon_grid-3x3" => "elegant-icon_grid-3x3"),
		array("elegant-icon_music" => "elegant-icon_music"),
		array("elegant-icon_pause_alt" => "elegant-icon_pause_alt"),
		array("elegant-icon_phone" => "elegant-icon_phone"),
		array("elegant-icon_upload" => "elegant-icon_upload"),
		array("elegant-icon_download" => "elegant-icon_download"),
		array("elegant-social_facebook" => "elegant-social_facebook"),
		array("elegant-social_twitter" => "elegant-social_twitter"),
		array("elegant-social_pinterest" => "elegant-social_pinterest"),
		array("elegant-social_googleplus" => "elegant-social_googleplus"),
		array("elegant-social_tumblr" => "elegant-social_tumblr"),
		array("elegant-social_tumbleupon" => "elegant-social_tumbleupon"),
		array("elegant-social_wordpress" => "elegant-social_wordpress"),
		array("elegant-social_instagram" => "elegant-social_instagram"),
		array("elegant-social_dribbble" => "elegant-social_dribbble"),
		array("elegant-social_vimeo" => "elegant-social_vimeo"),
		array("elegant-social_linkedin" => "elegant-social_linkedin"),
		array("elegant-social_rss" => "elegant-social_rss"),
		array("elegant-social_deviantart" => "elegant-social_deviantart"),
		array("elegant-social_share" => "elegant-social_share"),
		array("elegant-social_myspace" => "elegant-social_myspace"),
		array("elegant-social_skype" => "elegant-social_skype"),
		array("elegant-social_youtube" => "elegant-social_youtube"),
		array("elegant-social_picassa" => "elegant-social_picassa"),
		array("elegant-social_googledrive" => "elegant-social_googledrive"),
		array("elegant-social_flickr" => "elegant-social_flickr"),
		array("elegant-social_blogger" => "elegant-social_blogger"),
		array("elegant-social_spotify" => "elegant-social_spotify"),
		array("elegant-social_delicious" => "elegant-social_delicious"),
		array("elegant-social_facebook_circle" => "elegant-social_facebook_circle"),
		array("elegant-social_twitter_circle" => "elegant-social_twitter_circle"),
		array("elegant-social_pinterest_circle" => "elegant-social_pinterest_circle"),
		array("elegant-social_googleplus_circle" => "elegant-social_googleplus_circle"),
		array("elegant-social_tumblr_circle" => "elegant-social_tumblr_circle"),
		array("elegant-social_stumbleupon_circle" => "elegant-social_stumbleupon_circle"),
		array("elegant-social_wordpress_circle" => "elegant-social_wordpress_circle"),
		array("elegant-social_instagram_circle" => "elegant-social_instagram_circle"),
		array("elegant-social_dribbble_circle" => "elegant-social_dribbble_circle"),
		array("elegant-social_vimeo_circle" => "elegant-social_vimeo_circle"),
		array("elegant-social_linkedin_circle" => "elegant-social_linkedin_circle"),
		array("elegant-social_rss_circle" => "elegant-social_rss_circle"),
		array("elegant-social_deviantart_circle" => "elegant-social_deviantart_circle"),
		array("elegant-social_share_circle" => "elegant-social_share_circle"),
		array("elegant-social_myspace_circle" => "elegant-social_myspace_circle"),
		array("elegant-social_skype_circle" => "elegant-social_skype_circle"),
		array("elegant-social_youtube_circle" => "elegant-social_youtube_circle"),
		array("elegant-social_picassa_circle" => "elegant-social_picassa_circle"),
		array("elegant-social_googledrive_alt2" => "elegant-social_googledrive_alt2"),
		array("elegant-social_flickr_circle" => "elegant-social_flickr_circle"),
		array("elegant-social_blogger_circle" => "elegant-social_blogger_circle"),
		array("elegant-social_spotify_circle" => "elegant-social_spotify_circle"),
		array("elegant-social_delicious_circle" => "elegant-social_delicious_circle"),
		array("elegant-social_facebook_square" => "elegant-social_facebook_square"),
		array("elegant-social_twitter_square" => "elegant-social_twitter_square"),
		array("elegant-social_pinterest_square" => "elegant-social_pinterest_square"),
		array("elegant-social_googleplus_square" => "elegant-social_googleplus_square"),
		array("elegant-social_tumblr_square" => "elegant-social_tumblr_square"),
		array("elegant-social_stumbleupon_square" => "elegant-social_stumbleupon_square"),
		array("elegant-social_wordpress_square" => "elegant-social_wordpress_square"),
		array("elegant-social_instagram_square" => "elegant-social_instagram_square"),
		array("elegant-social_dribbble_square" => "elegant-social_dribbble_square"),
		array("elegant-social_vimeo_square" => "elegant-social_vimeo_square"),
		array("elegant-social_linkedin_square" => "elegant-social_linkedin_square"),
		array("elegant-social_rss_square" => "elegant-social_rss_square"),
		array("elegant-social_deviantart_square" => "elegant-social_deviantart_square"),
		array("elegant-social_share_square" => "elegant-social_share_square"),
		array("elegant-social_myspace_square" => "elegant-social_myspace_square"),
		array("elegant-social_skype_square" => "elegant-social_skype_square"),
		array("elegant-social_youtube_square" => "elegant-social_youtube_square"),
		array("elegant-social_picassa_square" => "elegant-social_picassa_square"),
		array("elegant-social_googledrive_square" => "elegant-social_googledrive_square"),
		array("elegant-social_flickr_square" => "elegant-social_flickr_square"),
		array("elegant-social_blogger_square" => "elegant-social_blogger_square"),
		array("elegant-social_spotify_square" => "elegant-social_spotify_square"),
		array("elegant-social_delicious_square" => "elegant-social_delicious_square"),
		array("elegant-icon_printer" => "elegant-icon_printer"),
		array("elegant-icon_calulator" => "elegant-icon_calulator"),
		array("elegant-icon_building" => "elegant-icon_building"),
		array("elegant-icon_floppy" => "elegant-icon_floppy"),
		array("elegant-icon_drive" => "elegant-icon_drive"),
		array("elegant-icon_search-2" => "elegant-icon_search-2"),
		array("elegant-icon_id" => "elegant-icon_id"),
		array("elegant-icon_id-2" => "elegant-icon_id-2"),
		array("elegant-icon_puzzle" => "elegant-icon_puzzle"),
		array("elegant-icon_like" => "elegant-icon_like"),
		array("elegant-icon_dislike" => "elegant-icon_dislike"),
		array("elegant-icon_mug" => "elegant-icon_mug"),
		array("elegant-icon_currency" => "elegant-icon_currency"),
		array("elegant-icon_wallet" => "elegant-icon_wallet"),
		array("elegant-icon_pens" => "elegant-icon_pens"),
		array("elegant-icon_easel" => "elegant-icon_easel"),
		array("elegant-icon_flowchart" => "elegant-icon_flowchart"),
		array("elegant-icon_datareport" => "elegant-icon_datareport"),
		array("elegant-icon_briefcase" => "elegant-icon_briefcase"),
		array("elegant-icon_shield" => "elegant-icon_shield"),
		array("elegant-icon_percent" => "elegant-icon_percent"),
		array("elegant-icon_globe" => "elegant-icon_globe"),
		array("elegant-icon_globe-2" => "elegant-icon_globe-2"),
		array("elegant-icon_target" => "elegant-icon_target"),
		array("elegant-icon_hourglass" => "elegant-icon_hourglass"),
		array("elegant-icon_balance" => "elegant-icon_balance"),
		array("elegant-icon_rook" => "elegant-icon_rook"),
		array("elegant-icon_printer-alt" => "elegant-icon_printer-alt"),
		array("elegant-icon_calculator_alt" => "elegant-icon_calculator_alt"),
		array("elegant-icon_building_alt" => "elegant-icon_building_alt"),
		array("elegant-icon_floppy_alt" => "elegant-icon_floppy_alt"),
		array("elegant-icon_drive_alt" => "elegant-icon_drive_alt"),
		array("elegant-icon_search_alt" => "elegant-icon_search_alt"),
		array("elegant-icon_id_alt" => "elegant-icon_id_alt"),
		array("elegant-icon_id-2_alt" => "elegant-icon_id-2_alt"),
		array("elegant-icon_puzzle_alt" => "elegant-icon_puzzle_alt"),
		array("elegant-icon_like_alt" => "elegant-icon_like_alt"),
		array("elegant-icon_dislike_alt" => "elegant-icon_dislike_alt"),
		array("elegant-icon_mug_alt" => "elegant-icon_mug_alt"),
		array("elegant-icon_currency_alt" => "elegant-icon_currency_alt"),
		array("elegant-icon_wallet_alt" => "elegant-icon_wallet_alt"),
		array("elegant-icon_pens_alt" => "elegant-icon_pens_alt"),
		array("elegant-icon_easel_alt" => "elegant-icon_easel_alt"),
		array("elegant-icon_flowchart_alt" => "elegant-icon_flowchart_alt"),
		array("elegant-icon_datareport_alt" => "elegant-icon_datareport_alt"),
		array("elegant-icon_briefcase_alt" => "elegant-icon_briefcase_alt"),
		array("elegant-icon_shield_alt" => "elegant-icon_shield_alt"),
		array("elegant-icon_percent_alt" => "elegant-icon_percent_alt"),
		array("elegant-icon_globe_alt" => "elegant-icon_globe_alt"),
		array("elegant-icon_clipboard" => "elegant-icon_clipboard")
    );
}

// Return simple fonts array
if ( ! function_exists('prelude_plugin_google_font') ) {
	function prelude_plugin_google_font() {
		if ( function_exists('prelude_google_fonts_array') ) {
			$default = array( 0 => 'Default' );
			return array_merge( $default, prelude_google_fonts_array() );
		} else {
			return array(
				'Default', 'Arial, Helvetica, sans-serif', 'Arial Black, Gadget, sans-serif',
				'Bookman Old Style, serif', 'Comic Sans MS, cursive', 'Courier, monospace',
				'Georgia, serif', 'Garamond, serif', 'Impact, Charcoal, sans-serif', 'Lucida Console, Monaco, monospace',
				'Lucida Sans Unicode, Lucida Grande, sans-serif', 'MS Sans Serif, Geneva, sans-serif', 'MS Serif, New York, sans-serif',
				'Palatino Linotype, Book Antiqua, Palatino, serif', 'Tahoma, Geneva, sans-serif', 'Times New Roman, Times, serif',
				'Trebuchet MS, Helvetica, sans-serif', 'Verdana, Geneva, sans-serif', 'Paratina Linotype', 'Trebuchet MS',
			);
		}
	}
}

// Get icon font base on font icon type
if ( ! function_exists('prelude_get_icon_class') ) {
	function prelude_get_icon_class( $atts, $icon_location ) {
		// Define vars
		$icon = '';
		$icon_type = ! empty( $atts['icon_type'] ) ? $atts['icon_type'] : 'fontawesome';

		// Generate fontawesome icon class
		if ( 'fontawesome' == $icon_type && ! empty( $atts[$icon_location] ) ) {
			$icon = $atts[$icon_location];
			$icon = str_replace( 'fa-', '', $icon );
			$icon = str_replace( 'fa ', '', $icon );
			$icon = 'fa fa-'. $icon;
		} elseif ( ! empty( $atts[ $icon_location .'_'. $icon_type ] ) ) {
			$icon = $atts[ $icon_location .'_'. $icon_type ];
		}

		// Sanitize
		$icon = in_array( $icon, array( 'icon', 'none' ) ) ? '' : $icon;

		// Return icon class
		return $icon;
	}
}

// Spacing
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Spacing', 'prelude'),
        'description' => esc_html__('Empty space with custom height.', 'prelude'),
        'base' => 'spacing',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
	        array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Desktop: Height', 'prelude'),
				'param_name' => 'desktop_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Mobile: Height', 'prelude'),
				'param_name' => 'mobile_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Small Mobile: Height', 'prelude'),
				'param_name' => 'smobile_height',
				'value' => '',
	        ),
        )
    ) );
} );

// Carousel Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_carouselbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Carousel Box', 'prelude'),
		'description' => esc_html__('Scrolling anything.', 'prelude'),
		'base' => 'carouselbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('only' => 'contentbox, imagebox, iconbox, videoicon, simpleimage, headings, fancytext, singleheading, pricetable, counter'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'prelude' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'prelude'),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Spacing Between', 'prelude'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'prelude' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Top' => 'top',
					'Center' => 'center',
					'Bottom' => 'bottom',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'prelude' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset_s',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
					'65' => '65',
					'70' => '70',
					'75' => '75',
					'80' => '80',
					'85' => '85',
					'90' => '90',
					'95' => '95',
					'100' => '100',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'arrow_position', 'value' => array('top', 'bottom') ),
			),
			// Column
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Center Carousel Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_centercarouselbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Center Carousel Box', 'prelude'),
		'description' => esc_html__('Scrolling anything.', 'prelude'),
		'base' => 'centercarouselbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('only' => 'contentbox, imagebox, iconbox, simpleimage, pricetable'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'true',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Spacing Between', 'prelude' ),
				'param_name' => 'gap',
				'value'      => array(
					'0px' => '0',
					'10px' => '10',
					'20px' => '20',
					'30px' => '30',
					'40px' => '40',
					'50px' => '50',
					'60px' => '60',
				),
				'std'		=> '30',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Slide Show', 'prelude' ),
				'param_name' => 'slide',
				'value'      => array(
					'1' => '1',
					'3' => '3',
				),
				'std'		=> '3',
			),
	        array(
				'type' => 'number',
				'heading' => esc_html__('Padding Content', 'prelude'),
				'param_name' => 'padding',
				'value' => 15,
				'suffix' => '%',
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'40px' => '40',
					'30px' => '30',
					'20px' => '20',
					'10px' => '10',
					'0px' => '0',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
        )
    ) );
} );

// Portfolio Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Carousel', 'prelude'),
        'description' => esc_html__('Displaying project posts in carousel.', 'prelude'),
        'base' => 'portfolio',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text on Hover', 'prelude'),
				'param_name' => 'hover_text',
				'value' => 'Show Detail',
				'dependency' => array( 'element' => 'style', 'value' => 'style-2' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'570 x 570' => 'square',
					'370 x 370' => 'square2',
					'570 x 450' => 'rectangle',
					'570 x 400' => 'rectangle2',
					'370 x 250' => 'rectangle3',
					'370 x 370' => 'rectangle4',
					'370 x 550' => 'rectangle5'
				),
				'std'		=> 'full',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gap',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'prelude'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'prelude'),
				'param_name' => 'items',
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Exclude Category Slug (Optional)', 'prelude'),
				'param_name' => 'exclude_cat_slug',
				'value' => '',
				'description'	=> esc_html__('Exclude posts that have this category. Using category-slug.', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Center Mode?', 'prelude' ),
				'param_name' => 'center_mode',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'prelude' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'prelude' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Portfolio Grid
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Grid', 'prelude'),
        'description' => esc_html__('Displaying project posts in grid with filter bar.', 'prelude'),
        'base' => 'portfoliogrid',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text on Hover', 'prelude'),
				'param_name' => 'hover_text',
				'value' => 'Show Detail',
				'dependency' => array( 'element' => 'style', 'value' => 'style-2' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'prelude' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Masonry' => 'masonry',
					'Mosaic' => 'mosaic',
				),
				'std'		=> 'masonry',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Default' => 'default',
					'Full' => 'full',
					'570 x 570' => 'square',
					'370 x 370' => 'square2',
					'570 x 450' => 'rectangle',
					'570 x 400' => 'rectangle2',
					'370 x 250' => 'rectangle3',
					'370 x 370' => 'rectangle4',
					'370 x 550' => 'rectangle5'
				),
				'std'		=> 'full',
				'description'	=> esc_html__('Choose <Default> to use Image-Cropping from metabox.', 'prelude'),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gapv',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'prelude'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'prelude'),
				'param_name' => 'gaph',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'prelude'),
            ),
            // Query
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'prelude'),
				'param_name' => 'items',
				'group'      => esc_html__( 'Query', 'prelude' ),
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Exclude Category Slug (Optional)', 'prelude'),
				'param_name' => 'exclude_cat_slug',
				'value' => '',
				'description'	=> esc_html__('Exclude posts that have this category. Using category-slug.', 'prelude'),
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Pagination?', 'prelude' ),
				'param_name' => 'pagination',
				'group' => esc_html__( 'Query', 'prelude' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'false',
			),
			// Filter
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Filter Bar?', 'prelude' ),
				'param_name' => 'show_filter',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'true',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button: All', 'prelude'),
				'param_name' => 'filter_button_all',
				'value' => 'All',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'description'	=> esc_html__('Leave it empty to disable.', 'prelude'),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'bottom_filter',
				'value' => '',
				'description'	=> esc_html__('Ex: 45px.', 'prelude'),
				'group' => esc_html__( 'Filter', 'prelude' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter Alignment', 'prelude' ),
				'param_name' => 'filter_align',
				'value'      => array(
					'Left' => 'style-1',
					'Center' => 'style-2',
					'Right' => 'style-3',
				),
				'std'		=> 'style-1',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Counter?', 'prelude' ),
				'param_name' => 'show_counter',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'true',
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Filter posts by default?', 'prelude' ),
				'param_name' => 'filter_by_default',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'prelude'),
				'param_name' => 'filter_cat_slug',
				'value' => '',
				'group' => esc_html__( 'Filter', 'prelude' ),
				'dependency' => array( 'element' => 'filter_by_default', 'value' => 'yes' ),
				'description'	=> esc_html__('Filter posts from this category by default. Using category-slug.', 'prelude'),
	        ),
            // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Family', 'prelude' ),
				'param_name' => 'filter_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Weight', 'prelude' ),
				'param_name' => 'filter_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Font Size', 'prelude'),
				'param_name' => 'filter_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Line-Height', 'prelude'),
				'param_name' => 'filter_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Letter Spacing', 'prelude'),
				'param_name' => 'filter_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Text Transform', 'prelude' ),
				'param_name' => 'filter_text_tranform',
				'value'      => array(
					'Capitalize' => 'capitalize',
					'Uppercase' => 'uppercase',
				),
				'std'		=> 'uppercase',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c'
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px', 'prelude' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Testimonials
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Testimonials', 'prelude'),
	    'description' => esc_html__('Displaying testimonials box.', 'prelude'),
	    'base' => 'testimonials',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'prelude'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('Default: 80px.', 'prelude'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Wrap: Background', 'prelude'),
				'param_name' => 'wrap_background',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap: Padding', 'prelude'),
				'param_name' => 'wrap_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap: Rounded', 'prelude'),
				'param_name' => 'wrap_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'prelude'),
            ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Text
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'prelude'),
				'param_name' => 'title',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Title Color', 'prelude'),
				'param_name' => 'title_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            // Name
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Name', 'prelude'),
				'param_name' => 'name',
				'value' => 'JOHN ROE',
				'group' => esc_html__( 'Name & Position', 'prelude' ),
            ),
            // Position
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Position', 'prelude'),
				'param_name' => 'position',
				'value' => 'Sale Manager',
				'group' => esc_html__( 'Name & Position', 'prelude' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'prelude'),
				'param_name' => 'text_typography',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Family', 'prelude' ),
				'param_name' => 'text_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Weight', 'prelude' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Font Size', 'prelude'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Style', 'prelude' ),
				'param_name' => 'text_font_style',
				'value'      => array(
					'Normal' => 'normal',
					'Italic' => 'italic',
				),
				'std'		=> 'normal',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Line-height', 'prelude'),
				'param_name' => 'text_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Title', 'prelude'),
				'param_name' => 'title_typography',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Family', 'prelude' ),
				'param_name' => 'title_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Weight', 'prelude' ),
				'param_name' => 'title_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Font Size', 'prelude'),
				'param_name' => 'title_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Line-height', 'prelude'),
				'param_name' => 'title_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title: Margin', 'prelude'),
				'param_name' => 'title_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Margin', 'prelude'),
				'param_name' => 'text_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	    )
	) );
} );

// Testimonials Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Testimonials Carousel' , 'prelude'),
	    'description' => esc_html__('Displaying testimonials posts.', 'prelude'),
	    'base' => 'testimonialspost',
		'weight'	=>	180,
		'show_settings_on_create' => true,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Simple' => 'simple',
					'Gray' => 'gray',
					'Border' => 'border',
				),
				'std'		=> 'gray',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Query Posts', 'prelude'),
				'param_name' => 'items',
				'value' => '5',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        // Carousel Option
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Aside Option?', 'prelude' ),
				'param_name' => 'aside',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Play?', 'prelude' ),
				'param_name' => 'auto_play',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'bullets',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullet Color', 'prelude' ),
				'param_name' => 'bullet_color',
				'value'      => array(
					'Accent' => 'bullet-accent',
					'Blue' 	 => 'bullet-blue',
					'Orange' => 'bullet-orange',
					'Red' 	 => 'bullet-red',
					'Purple' => 'bullet-purple',
					'Picton' => 'bullet-picton'
				),
				'std'		=> 'bullet-accent',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
				'dependency' => array( 'element' => 'bullets', 'value' => 'true' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'arrows',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Color', 'prelude' ),
				'param_name' => 'arrow_color',
				'value'      => array(
					'Accent' => 'arrow-accent',
					'Blue'   => 'arrow-blue',
					'Orange' => 'arrow-orange',
					'Red'    => 'arrow-red',
					'Purple' => 'arrow-purple',
					'Picton' => 'arrow-picton'
				),
				'std'		=> 'arrow-accent',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
				'dependency' => array( 'element' => 'arrows', 'value' => 'true' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Position', 'prelude' ),
				'param_name' => 'arrows_position',
				'value'      => array(
					'Middle' => 'middle',
					'Top' => 'top',
				),
				'std'		=> 'middle',
				'dependency' => array( 'element' => 'arrows', 'value' => 'true' ),
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
		)
	) );
} );

// News Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('News Carousel', 'prelude'),
	    'description' => esc_html__('Displaying blog posts in carousel.', 'prelude'),
	    'base' => 'news',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Thumbnail Image', 'prelude' ),
				'param_name' => 'thumb',
				'value'      => array(
					'Featured Image' => 'featured-image',
					'Element Thumbnail' => 'element-thumbnail',
				),
				'std'		=> 'featured-image',
			),
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'prelude'),
				'param_name' => 'items',
				'value' => '5',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        // Carousel Option
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Aside Option?', 'prelude' ),
				'param_name' => 'aside',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Play?', 'prelude' ),
				'param_name' => 'auto_play',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'bullets',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullet Color', 'prelude' ),
				'param_name' => 'bullet_color',
				'value'      => array(
					'Accent' => 'bullet-accent',
					'Blue' 	 => 'bullet-blue',
					'Orange' => 'bullet-orange',
					'Red' 	 => 'bullet-red',
					'Purple' => 'bullet-purple',
					'Picton' => 'bullet-picton'
				),
				'std'		=> 'bullet-accent',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
				'dependency' => array( 'element' => 'bullets', 'value' => 'true' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'arrows',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Color', 'prelude' ),
				'param_name' => 'arrow_color',
				'value'      => array(
					'Accent' => 'arrow-accent',
					'Blue'   => 'arrow-blue',
					'Orange' => 'arrow-orange',
					'Red'    => 'arrow-red',
					'Purple' => 'arrow-purple',
					'Picton' => 'arrow-picton'
				),
				'std'		=> 'arrow-accent',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
				'dependency' => array( 'element' => 'arrows', 'value' => 'true' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Position', 'prelude' ),
				'param_name' => 'arrows_position',
				'value'      => array(
					'Middle' => 'middle',
					'Top' => 'top',
				),
				'std'		=> 'middle',
				'dependency' => array( 'element' => 'arrows', 'value' => 'true' ),
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
	    )
	) );
} );

// App Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('App Carousel', 'prelude'),
	    'description' => esc_html__('Displaying app carousel.', 'prelude'),
	    'base' => 'appcarousel',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'prelude'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Carousel.', 'prelude')
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Play?', 'prelude' ),
				'param_name' => 'auto_play',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'prelude' ),
			),
	    )
	) );
} );

// ProgressBar
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Progress Bar', 'prelude'),
        'description' => esc_html__('Displaying progress bars.', 'prelude'),
        'base' => 'progressbar',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'prelude'),
				'param_name' => 'title',
				'value' => esc_html__('Title', 'prelude'),
				'description' => esc_html__('Title of the ProgressBar.', 'prelude')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'prelude'),
				'param_name' => 'title_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Percentage', 'prelude'),
				'param_name' => 'percent',
				'value' => '90',
				'description' => esc_html__('Percentage value of the ProgressBar', 'prelude')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Percentage Color', 'prelude'),
				'param_name' => 'per_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height of Bars', 'prelude'),
				'param_name' => 'height',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Space between Text & Line', 'prelude'),
				'param_name' => 'space_between',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'prelude'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'description'	=> esc_html__('Ex: 20px', 'prelude'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 1', 'prelude'),
				'param_name' => 'line_one',
				'value' => '#636363',
				'group' => esc_html__( 'Line Color', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 2', 'prelude'),
				'param_name' => 'line_two',
				'value' => '#e5e5e5',
				'group' => esc_html__( 'Line Color', 'prelude' ),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable gradient color?', 'prelude' ),
				'param_name' => 'gradient',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
				'group' => esc_html__( 'Line Color', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'prelude' ),
				'param_name' => 'font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'prelude' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'prelude'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
        )
    ) );
} );

// Accordions
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_accordions extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Accordions or Toggles', 'prelude' ),
        'description' => esc_html__('Displaying Accordions or Toggles', 'prelude'),
		'base'        => 'accordions',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'accordion' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Type', 'prelude' ),
				'param_name' => 'type',
				'value'      => array(
					'Accordions' => 'accordions',
					'Toggles' => 'toggles',
				),
				'std'		=> 'accordions',
			),
		)
	) );
} );

// Accordion
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'prelude' ),
    'description' => esc_html__('Item for Accordions or Toggles', 'prelude'),
		'base'        => 'accordion',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'as_child'    => array( 'only' => 'accordions' ),
		'params'      => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Active by default?', 'prelude' ),
				'param_name' => 'open',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Color', 'prelude' ),
				'param_name' => 'color',
				'value'      => array(
					'Acccent' => 'accent',
					'Blue' => 'blue',  //0575e6
					'Orange' => 'orange', //f7b446
					'Red' => 'red',  //ff3366
					'Purple' => 'purple', //7540ee
					'Picton' => 'picton', //3fb6dc
				),
				'std'		=> 'accent',
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'prelude'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'bottom_margin',
				'value' => 10,
				'suffix' => 'px',
				'description'	=> esc_html__('Default: 10px', 'prelude'),
		  	),
			// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Heading', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Padding', 'prelude'),
				'param_name' => 'heading_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 25px 13px 25px', 'prelude'),
				'group' => esc_html__( 'Heading', 'prelude' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'heading_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 25px', 'prelude'),
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'prelude'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 20px 0px 30px 0px', 'prelude'),
				'group' => esc_html__( 'Content', 'prelude' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Tabs
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_dtabs extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Simple Tabs', 'prelude' ),
        'description' => esc_html__('Displaying Tabbed Content.', 'prelude'),
		'base'        => 'dtabs',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'dtab' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
		)
	) );
} );

// Tab
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Tab', 'prelude' ),
    'description' => esc_html__('Displaying Tab.', 'prelude'),
		'base'        => 'dtab',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'as_child'    => array( 'only' => 'dtabs' ),
		'params'      => array(
			// Title
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'prelude'),
				'param_name' => 'title',
				'value' => 'Tab',
				'group' => esc_html__( 'Title', 'prelude' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'prelude'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
				'group' => esc_html__( 'Content', 'prelude' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Family', 'prelude' ),
				'param_name' => 'title_font_family',
				'value'      => prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Weight', 'prelude' ),
				'param_name' => 'title_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Font Size', 'prelude'),
				'param_name' => 'title_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Line-Height', 'prelude'),
				'param_name' => 'title_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Advanced Tabs
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_deeper_advance_tabs extends WPBakeryShortCodesContainer{}
} );
add_action( 'vc_before_init', function() {
    vc_map(array(
        "name" => esc_html__("Advanced Tabs", 'vincent'),
        "base" => "deeper_advance_tabs",
        "as_parent" => array('only' => 'deeper_advance_tab'),
        'category' => 'Advance Tabs',
        "js_view" => 'VcColumnView',
        "content_element" => true,
        "show_settings_on_create" => true,
        "is_container" => true,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'params' => array_merge(
			array(
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Style', 'prelude' ),
					'param_name' => 'style',
					'value'      => array(
						'Style 1' => 'style-1',
						'Style 2' => 'style-2',
					),
					'std'		=> 'style-1',
				),
			)
		)
    ));
} );

add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_deeper_advance_tab extends WPBakeryShortCodesContainer{}
} );
// Advanced Tab
add_action( 'vc_before_init', function() {
    vc_map(array(
        "name" => esc_html__("Child Tab", 'vincent'),
        "base" => "deeper_advance_tab",
        "as_child" => array('only' => 'deeper_advance_tabs'),
        'as_parent'			=> array(''),
        'allowed_container_element' => 'vc_row',
		'js_view'					=> 'VcColumnView',
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'params' => array_merge(
			array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'admin_label' => true,
					'heading' => esc_html__( 'Tab Title', 'prelude' ),
					'param_name' => 'tab_title',
                    'std'       => 'Title',
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'Icon Type', 'prelude' ),
					'param_name'  => 'icon_show',
					'value'       => array(
						'Font Icon' => 'font_icon',
						'Image Icon' => 'image_icon',
					),
					'std'		=> 'font_icon',
				),
				// Image Icon
				array(
					'heading'     => esc_html__( 'Custom Image', 'prelude' ),
					'value'       => '',
					'type'        => 'attach_image',
					'param_name'  => 'img_icon',
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'image_icon' ) ),
					'group' => esc_html__( 'Image', 'prelude' ),
				),
				array(
					'heading'     => esc_html__( 'Custom Image on Hover', 'prelude' ),
					'value'       => '',
					'type'        => 'attach_image',
					'param_name'  => 'img_icon_hover',
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'image_icon' ) ),
					'group' => esc_html__( 'Image', 'prelude' ),
				),
				array(
					'heading'     => esc_html__( 'Image Width', 'prelude' ),
					'value'       => '',
					'type'        => 'textfield',
					'param_name'  => 'img_icon_width',
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'image_icon' ) ),
					'group' => esc_html__( 'Image', 'prelude' ),
				),
				array(
					'heading'     => esc_html__( 'Image Height', 'prelude' ),
					'value'       => '',
					'type'        => 'textfield',
					'param_name'  => 'img_icon_height',
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'image_icon' ) ),
					'group' => esc_html__( 'Image', 'prelude' ),
				),
				// Font Icon
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon library', 'prelude' ),
					'param_name' => 'icon_type',
					'description' => esc_html__( 'Select icon library.', 'prelude' ),
					'value' => array(
						esc_html__( '', 'prelude' ) => '',
						esc_html__( 'Elegant Icons', 'prelude' ) => 'extraicon',
						esc_html__( 'Basic UI Icons', 'prelude' ) => 'extraicon2',
						esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
						esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
						esc_html__( 'Typicons', 'prelude' ) => 'typicons',
						esc_html__( 'Entypo', 'prelude' ) => 'entypo',
						esc_html__( 'Linecons', 'prelude' ) => 'linecons',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'font_icon' ) ),
				),
				array(
				    'type' => 'iconpicker',
				    'heading' => esc_html__( 'Icon', 'prelude' ),
				    'param_name' => 'icon_extraicon',
				    'settings' => array(
				        'emptyIcon' => true,
				        'type' => 'extraicon',
				        'iconsPerPage' => 200,
				    ),
				    'dependency' => array(
				        'element' => 'icon_type',
				        'value' => 'extraicon',
				    ),
				    'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
				    'type' => 'iconpicker',
				    'heading' => esc_html__( 'Icon', 'prelude' ),
				    'param_name' => 'icon_extraicon2',
				    'settings' => array(
				        'emptyIcon' => true,
				        'type' => 'extraicon2',
				        'iconsPerPage' => 200,
				    ),
				    'dependency' => array(
				        'element' => 'icon_type',
				        'value' => 'extraicon2',
				    ),
				    'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'prelude' ),
					'param_name' => 'icon',
					'settings' => array(
						'emptyIcon' => true,
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_type',
						'value' => 'fontawesome',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'prelude' ),
					'param_name' => 'icon_openiconic',
					'settings' => array(
						'emptyIcon' => true,
						'type' => 'openiconic',
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_type',
						'value' => 'openiconic',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'prelude' ),
					'param_name' => 'icon_typicons',
					'settings' => array(
						'emptyIcon' => true,
						'type' => 'typicons',
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_type',
						'value' => 'typicons',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'prelude' ),
					'param_name' => 'icon_entypo',
					'settings' => array(
						'emptyIcon' => true,
						'type' => 'entypo',
						'iconsPerPage' => 300,
					),
					'dependency' => array(
						'element' => 'icon_type',
						'value' => 'entypo',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'prelude' ),
					'param_name' => 'icon_linecons',
					'settings' => array(
						'emptyIcon' => true,
						'type' => 'linecons',
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_type',
						'value' => 'linecons',
					),
					'group' => esc_html__( 'Icon', 'prelude' ),
				),
		        array(
					'type' => 'textfield',
					'heading' => esc_html__('Icon: Font Size', 'prelude'),
					'param_name' => 'icon_font_size',
					'value' => '',
					'group' => esc_html__( 'Icon', 'prelude' ),
					'dependency' => array( 'element' => 'icon_show', 'value' => array( 'font_icon' ) ),
		        ),
			)
		)
    ));
} );

// Team Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Carousel', 'prelude'),
	    'description' => esc_html__('Displaying member posts in carousel.', 'prelude'),
	    'base' => 'team',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
					'600 x 390' => 'rectangle2',
				),
				'std'		=> 'full',
			),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'prelude'),
				'param_name' => 'items',
				'value' => '4',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'prelude' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'prelude'),
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'prelude' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Center' => 'center',
					'Top' => 'top',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'prelude' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset_s',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
					'65' => '65',
					'70' => '70',
					'75' => '75',
					'80' => '80',
					'85' => '85',
					'90' => '90',
					'95' => '95',
					'100' => '100',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'top' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'prelude'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'prelude' ),
				'param_name' => 'name_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'prelude' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'prelude'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'prelude'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'prelude'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'prelude'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'prelude' ),
				'param_name' => 'position_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'prelude' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'prelude'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'prelude'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'prelude'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'prelude'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Family', 'prelude' ),
				'param_name' => 'text_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Weight', 'prelude' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Font Size', 'prelude'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Line-Height', 'prelude'),
				'param_name' => 'text_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'prelude'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'prelude'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'prelude'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'prelude'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Top Margin', 'prelude'),
				'param_name' => 'text_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Bottom Margin', 'prelude'),
				'param_name' => 'text_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	    )
	) );
} );

// Team Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Grid', 'prelude'),
	    'description' => esc_html__('Displaying member posts in grid.', 'prelude'),
	    'base' => 'teamgrid',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
					'600 x 390' => 'rectangle2',
				),
				'std'		=> 'full',
			),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'prelude'),
				'param_name' => 'items',
				'value' => '3',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gapv',
				'value' => '30',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'prelude'),
				'param_name' => 'gaph',
				'value' => '40',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Column(s)', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'prelude'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'prelude' ),
				'param_name' => 'name_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'prelude' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'prelude'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'prelude'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'prelude'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'prelude'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'prelude' ),
				'param_name' => 'position_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'prelude' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'prelude'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'prelude'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'prelude'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'prelude'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Family', 'prelude' ),
				'param_name' => 'text_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Weight', 'prelude' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Font Size', 'prelude'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Line-Height', 'prelude'),
				'param_name' => 'text_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'prelude'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'prelude'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'prelude'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'prelude'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Top Margin', 'prelude'),
				'param_name' => 'text_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Bottom Margin', 'prelude'),
				'param_name' => 'text_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	    )
	) );
} );

// Action Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Action Box', 'prelude'),
	    'description' => esc_html__('Displaying Action-Box or Promo-Box.', 'prelude'),
	    'base' => 'actionbox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Area: Width', 'prelude'),
				'param_name' => 'content_width',
				'value' => '',
				'description'	=> esc_html__('Default: 70%', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Area: Alignment', 'prelude' ),
				'param_name' => 'content_align',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Area: Width', 'prelude'),
				'param_name' => 'button_width',
				'value' => '',
				'description'	=> esc_html__('Default: 20%', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Area: Alignment', 'prelude' ),
				'param_name' => 'button_align',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-right',
			),
            // Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_content',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading Text', 'prelude'),
				'param_name' => 'heading_text',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'prelude'),
				'param_name' => 'heading_width',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading', 'prelude' ),
				'param_name' => 'subheading_text',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'prelude'),
				'param_name' => 'subheading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'prelude'),
				'param_name' => 'subheading_width',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            // Button
	        array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Button Text (Required)', 'prelude'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'Button', 'prelude' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button URL (Required):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Button', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'prelude' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'Button', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'prelude'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'prelude'),
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'prelude'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'prelude'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'prelude'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'Button', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'prelude' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Button', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'prelude'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'prelude'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'prelude'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'prelude'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
            ),
            // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'prelude'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'prelude' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'prelude' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'prelude'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'prelude'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'prelude'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'prelude' ),
				'param_name' => 'button_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'prelude' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'prelude'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'prelude'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Margin', 'prelude'),
				'param_name' => 'heading_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Margin', 'prelude'),
				'param_name' => 'button_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	    )
	) );
} );

// Image Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Image Box', 'prelude'),
	    'description' => esc_html__('Displaying image box.', 'prelude'),
	    'base' => 'imagebox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'prelude'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
				'dependency' => array( 'element' => 'style', 'value' => array( 'style-1', 'style-2' ) ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Background', 'prelude'),
				'param_name' => 'content_bg',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => array( 'style-1' ) ),
            ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'hading_content',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading',
				'value' => 'Heading Text',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading URL (Optional):', 'prelude'),
				'param_name' => 'heading_url',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'prelude'),
				'param_name' => 'desc_content',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
			array(
				'type' 		=> 'textarea',
				'heading' 	=> esc_html__('Description', 'prelude'),
				'param_name' 	=> 'description',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'prelude'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array( 'style-1' ) ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'prelude' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
					'Arrow' => 'arrow',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Hover', 'prelude' ),
				'param_name' => 'arrow_hover_color',
				'value'      => array(
					'Accent' => 'hover-accent',
					'Blue' => 'hover-blue',
					'Orange' => 'hover-orange',
					'Red' => 'hover-red',
					'Purple' => 'hover-purple',
					'Picton' => 'hover-picton'
				),
				'std'		=> 'hover-accent',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'arrow' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Style', 'prelude' ),
				'param_name' => 'link_style',
				'value'      => array(
					'Style 1' => 'link-style-1',
					'Style 2' => 'link-style-2',
					'Style 3' => 'link-style-3',
					'Style 4' => 'link-style-4',
				),
				'std'		=> 'link-style-1',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Color', 'prelude' ),
				'param_name' => 'link_color',
				'value'      => array(
					'Accent' => 'link-color-accent',
					'Dark' => 'link-color-dark',
					'Light' => 'link-color-light',
					'Blue' => 'link-color-blue',
					'Orange' => 'link-color-orange',
					'Red' => 'link-color-red',
					'Purple' => 'link-color-purple',
					'Picton' => 'link-color-picton'
				),
				'std'		=> 'link-color-accent',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'prelude'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'prelude' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'prelude'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'prelude'),
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'prelude'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'prelude'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'prelude'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'prelude' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border Color', 'prelude'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'prelude'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'prelude'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'prelude'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'prelude'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'prelude' ),
				'param_name' => 'desc_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'prelude' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'prelude'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'prelude'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'prelude'),
				'param_name' => 'btn_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'prelude' ),
				'param_name' => 'button_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'prelude' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'prelude'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'prelude'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'prelude'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'prelude'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'prelude'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	    )
	) );
} );

// Links
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Links', 'prelude' ),
        'description' => esc_html__('Displaying a link.', 'prelude'),
		'base'        => 'advlinks',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
				),
				'std'		=> 'style-1',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content (Required)', 'prelude' ),
				'param_name' => 'content',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Color', 'prelude' ),
				'param_name' => 'color',
				'value'      => array(
					'Acccent' => 'accent',
					'Dark' => 'dark',
					'Light' => 'light',
					'Gray' => 'gray',
					'Blue' => 'blue',  //0575e6
					'Orange' => 'orange', //f7b446
					'Red' => 'red',  //ff3366
					'Purple' => 'purple', //7540ee
					'Picton' => 'picton', //3fb6dc
				),
				'std'		=> 'accent',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (Required)', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'prelude' ),
				'param_name' => 'content_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'prelude' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'prelude'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// List
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'List', 'prelude' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'prelude'),
		'base'        => 'advlist',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'content_background_color',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'prelude' ),
				'param_name' => 'content_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'content_border_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'content_border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'prelude'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 12px 30px 12px 30px', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'content_bottom_margin',
				'value' => '',
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'prelude' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'Simple' => 'simple',
					'Background' => 'background',
				),
				'std'		=> 'simple',
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'prelude'),
				'param_name' => 'icon_bg',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'prelude'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'prelude'),
				'param_name' => 'icon_width',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'prelude'),
				'param_name' => 'icon_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'prelude'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'prelude'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line-Height', 'prelude'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'prelude' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Middle' => 'icon-middle',
					'Top' => 'icon-top',
				),
				'std'		=> 'icon-middle',
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Icon Top Margin', 'prelude' ),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			// Content
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content', 'prelude' ),
				'param_name' => 'content',
				'group' => esc_html__( 'Content', 'prelude' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Color', 'prelude'),
				'param_name' => 'content_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Left Padding', 'prelude'),
				'param_name' => 'content_left_padding',
				'value' => '30',
				'group' => esc_html__( 'Content', 'prelude' ),
				'description'	=> esc_html__('Spacing between the icon and the content', 'prelude'),
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Family', 'prelude' ),
				'param_name' => 'content_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Weight', 'prelude' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Font Size', 'prelude'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Line-Height', 'prelude'),
				'param_name' => 'content_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Menu List
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Menu List', 'prelude'),
	    'description' => esc_html__('Menu List.', 'prelude'),
	    'base' => 'menulist',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'background',
				'value' => '#f5f5f5',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'border_color',
				'value' => '#b2b2b2',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'border_width',
				'value' => '1px 0px 1px 0px',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'prelude' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'solid',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'prelude'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Default: 10px 20px 10px 20px', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'bottom_margin',
				'value' => '10',
	        ),
	        // Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'prelude'),
				'param_name' => 'text_content',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Text', 'prelude'),
				'param_name' => 'text',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Value', 'prelude'),
				'param_name' => 'value_content',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Value', 'prelude'),
				'param_name' => 'value',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'prelude'),
				'param_name' => 'value_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'prelude'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text: Font Family', 'prelude' ),
				'param_name' => 'text_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text: Font Weight', 'prelude' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Font Size', 'prelude'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Value', 'prelude'),
				'param_name' => 'value_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Value: Font Family', 'prelude' ),
				'param_name' => 'value_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Value: Font Weight', 'prelude' ),
				'param_name' => 'value_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Value: Font Size', 'prelude'),
				'param_name' => 'value_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Icon Box
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icon Box', 'prelude' ),
        'description' => esc_html__('Displaying Icon Box with custom icon.', 'prelude'),
		'base'        => 'iconbox',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Icon Top' => 'icon-top',
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
					'Icon Left 2' => 'icon-left2',
				),
				'std'		=> 'icon-top',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'prelude' ),
				'param_name' => 'text_align',
				'value'      => array(
					'Left' => 'align-left',
					'Center' => 'align-center',
					'Right' => 'align-right',
				),
				'std'		=> 'align-left',
				'dependency' => array( 'element' => 'style', 'value' => 'icon-top' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'prelude' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'Icon Font' => 'icon-font',
					'Icon Image' => 'icon-image',
					'Icon Text' => 'icon-text'
				),
				'std'		=> 'icon-font',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Padding', 'prelude'),
				'param_name' => 'wrap_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Margin', 'prelude'),
				'param_name' => 'wrap_margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Wrap Background', 'prelude'),
				'param_name' => 'wrap_background',
				'value' => '',
            ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Wrap Background Image', 'prelude'),
				'param_name' => 'wrap_bg_image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Rounded', 'prelude'),
				'param_name' => 'wrap_rounded',
				'value' => '',
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Wrap Border Color', 'prelude'),
				'param_name' => 'wrap_border',
				'value' => '#e7e7e7',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Border Width', 'prelude'),
				'param_name' => 'wrap_border_width',
				'value' => '',
				'description'	=> esc_html__('Ex: 1px', 'prelude'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Wrap Border Style', 'prelude' ),
				'param_name' => 'wrap_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Image', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width', 'prelude'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('Ex: 100px', 'prelude'),
				'group' => esc_html__( 'Image', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
	        ),
	        // Icon Text
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Text', 'prelude'),
				'param_name' => 'icon_text',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-text' ),
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'Elegant Icons', 'prelude' ) => 'extraicon3',
					esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon3',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon3',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon3',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_fontawesome',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'prelude'),
				'param_name' => 'icon_font_size',
				'value' => '30px',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'prelude'),
				'param_name' => 'icon_width',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'prelude'),
				'param_name' => 'icon_height',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line Height', 'prelude'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'prelude'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'prelude'),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'prelude'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'prelude'),
				'param_name' => 'icon_background',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border Color', 'prelude'),
				'param_name' => 'icon_border',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Border Width', 'prelude'),
				'param_name' => 'icon_border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'prelude'),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Border Style', 'prelude' ),
				'param_name' => 'icon_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'prelude'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background: Hover', 'prelude'),
				'param_name' => 'icon_background_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border: Hover', 'prelude'),
				'param_name' => 'icon_border_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
			// Icon Shadow
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Icon Shadow', 'prelude' ),
				'param_name'  => 'icon_inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'prelude'),
				'param_name' => 'icon_horizontal',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'prelude'),
				'param_name' => 'icon_vertical',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'prelude'),
				'param_name' => 'icon_blur',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'prelude'),
				'param_name' => 'icon_spread',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'prelude'),
				'param_name' => 'icon_shadow_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => array('icon-font','icon-text') ),
            ),
			// Content
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading URL (Optional):', 'prelude'),
				'param_name' => 'heading_url',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Description', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'prelude'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'prelude' ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'prelude' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
					'Arrow' => 'arrow',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Style', 'prelude' ),
				'param_name' => 'link_style',
				'value'      => array(
					'Style 1' => 'link-style-1',
					'Style 2' => 'link-style-2',
					'Style 3' => 'link-style-3',
					'Style 4' => 'link-style-4',
				),
				'std'		=> 'link-style-1',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Color', 'prelude' ),
				'param_name' => 'link_color',
				'value'      => array(
					'Accent' => 'link-color-accent',
					'Dark' => 'link-color-dark',
					'Light' => 'link-color-light',
					'Blue' => 'link-color-blue',
					'Orange' => 'link-color-orange',
					'Red' => 'link-color-red',
					'Purple' => 'link-color-purple',
					'Picton' => 'link-color-picton'
				),
				'std'		=> 'link-color-accent',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'prelude'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => array('link','button') ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'prelude' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'prelude'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'prelude'),
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'prelude'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'prelude'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'prelude'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'prelude' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'prelude'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'prelude'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'prelude'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'prelude'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'prelude'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'prelude' ),
				'param_name' => 'desc_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'prelude' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'prelude'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'prelude'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'prelude'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'prelude' ),
				'param_name' => 'button_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'prelude' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'prelude'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'prelude'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'prelude'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array( 'icon-left', 'icon-right' ) ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Left Padding', 'prelude'),
				'param_name' => 'content_left_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'prelude' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Right Padding', 'prelude'),
				'param_name' => 'content_right_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'prelude' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-right' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Left Margin', 'prelude'),
				'param_name' => 'heading_left_margin',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'prelude' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left2' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'prelude'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'prelude'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'prelude'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'prelude'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        // Hover
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Hover Style', 'prelude' ),
				'param_name' => 'hover_style',
				'value'      => array(
					'No Style' => '',
					'Text-Light' => 'hover-style-1',
					'Text-Dark' => 'hover-style-2',
					'Content Scrolling' => 'hover-style-3',
				),
				'std'		=> '',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'bg_color',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
				'dependency' => array( 'element' => 'hover_style', 'value' => array( 'hover-style-1', 'hover-style-2' ) ),
            ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'prelude'),
				'param_name' => 'bg_image',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
				'dependency' => array( 'element' => 'hover_style', 'value' => array( 'hover-style-1', 'hover-style-2' ) ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Hover', 'prelude' ),
				'param_name' => 'link_hover_color',
				'value'      => array(
					'Accent' => 'link-hover-accent',
					'Blue' => 'link-hover-blue',
					'Orange' => 'link-hover-orange',
					'Red' => 'link-hover-red',
					'Purple' => 'link-hover-purple',
					'Picton' => 'link-hover-picton'
				),
				'std'		=> 'link-hover-accent',
				'group' => esc_html__( 'Hover', 'prelude' ),
				'dependency' => array( 'element' => 'hover_style', 'value' => 'hover-style-1' ),
			),
		)
	) );
} );


// Iconbox Group
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_iconboxs extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Iconbox Group', 'prelude' ),
        'description' => esc_html__('Displaying Iconbox Group', 'prelude'),
		'base'        => 'iconboxs',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'iconbox' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Style', 'prelude' ),
				'param_name'  => 'style',
				'value'       => array(
					'Style 1' 	   => 'style-1',
					'Style 2'        => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Items', 'prelude' ),
				'param_name'  => 'style',
				'value'       => array(
					'2' 	   => '2',
					'3'        => '3',
					'4'        => '4',
				),
				'std'		=> '3',
			),
		)
	) );
} );

// Icon List
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icon List', 'prelude' ),
        'description' => esc_html__('Displaying Icon Box in group.', 'prelude'),
		'base'        => 'iconlist',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Style', 'prelude' ),
				'param_name'  => 'style',
				'value'       => array(
					'Style 1' 	   => 'style-1',
					'Style 2'        => 'style-2',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item Spacing', 'prelude'),
				'param_name' => 'item_spacing',
				'value' => '',
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Line?', 'prelude' ),
				'param_name' => 'show_line',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Line Style', 'prelude' ),
				'param_name' => 'line_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'dashed',
				'dependency' => array( 'element' => 'show_line', 'value' => 'yes' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'prelude'),
				'param_name' => 'line_color',
				'value' => '',
				'dependency' => array( 'element' => 'show_line', 'value' => 'yes' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'prelude'),
				'param_name' => 'line_width',
				'value' => '',
				'dependency' => array( 'element' => 'show_line', 'value' => 'yes' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Offset', 'prelude'),
				'param_name' => 'line_offset',
				'value' => '',
				'description'	=> esc_html__('Default: 30px', 'prelude'),
				'dependency' => array( 'element' => 'show_line', 'value' => 'yes' ),
	        ),
            // params group
            array(
				'type' => 'param_group',
				'heading' => 'Icon Box',
				'value' => '',
				'param_name' => 'boxicon',
				'group' => esc_html__( 'Icon Box', 'prelude' ),
				'params' => array(
		            array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__('Heading', 'prelude'),
						'param_name' => 'heading',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Heading Color', 'prelude'),
						'param_name' => 'heading_color',
						'value' => '',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Heading Margin', 'prelude'),
						'param_name' => 'heading_margin',
						'value' => '',
			        ),
					array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__( 'Description', 'prelude' ),
						'param_name' => 'description',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Description Color', 'prelude'),
						'param_name' => 'desc_color',
						'value' => '',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Description Margin', 'prelude'),
						'param_name' => 'desc_margin',
						'value' => '',
			        ),
					// Icon
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Icon library', 'prelude' ),
						'param_name' => 'icon_type',
						'description' => esc_html__( 'Select icon library.', 'prelude' ),
						'value' => array(
							esc_html__( '', 'prelude' ) => '',
							esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
							esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
							esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
							esc_html__( 'Typicons', 'prelude' ) => 'typicons',
							esc_html__( 'Entypo', 'prelude' ) => 'entypo',
							esc_html__( 'Linecons', 'prelude' ) => 'linecons',
						),
					),
					array(
					    'type' => 'iconpicker',
					    'heading' => esc_html__( 'Icon', 'prelude' ),
					    'param_name' => 'icon_extraicon',
					    'settings' => array(
					        'emptyIcon' => true,
					        'type' => 'extraicon',
					        'iconsPerPage' => 200,
					    ),
					    'dependency' => array(
					        'element' => 'icon_type',
					        'value' => 'extraicon',
					    ),
					),
					array(
					    'type' => 'iconpicker',
					    'heading' => esc_html__( 'Icon', 'prelude' ),
					    'param_name' => 'icon_extraicon2',
					    'settings' => array(
					        'emptyIcon' => true,
					        'type' => 'extraicon2',
					        'iconsPerPage' => 200,
					    ),
					    'dependency' => array(
					        'element' => 'icon_type',
					        'value' => 'extraicon2',
					    ),
					),
					array(
						'type' => 'iconpicker',
						'heading' => esc_html__( 'Icon', 'prelude' ),
						'param_name' => 'icon_openiconic',
						'settings' => array(
							'emptyIcon' => true,
							'type' => 'openiconic',
							'iconsPerPage' => 200,
						),
						'dependency' => array(
							'element' => 'icon_type',
							'value' => 'openiconic',
						),
					),
					array(
						'type' => 'iconpicker',
						'heading' => esc_html__( 'Icon', 'prelude' ),
						'param_name' => 'icon_typicons',
						'settings' => array(
							'emptyIcon' => true,
							'type' => 'typicons',
							'iconsPerPage' => 200,
						),
						'dependency' => array(
							'element' => 'icon_type',
							'value' => 'typicons',
						),
					),
					array(
						'type' => 'iconpicker',
						'heading' => esc_html__( 'Icon', 'prelude' ),
						'param_name' => 'icon_entypo',
						'settings' => array(
							'emptyIcon' => true,
							'type' => 'entypo',
							'iconsPerPage' => 300,
						),
						'dependency' => array(
							'element' => 'icon_type',
							'value' => 'entypo',
						),
					),
					array(
						'type' => 'iconpicker',
						'heading' => esc_html__( 'Icon', 'prelude' ),
						'param_name' => 'icon_linecons',
						'settings' => array(
							'emptyIcon' => true,
							'type' => 'linecons',
							'iconsPerPage' => 200,
						),
						'dependency' => array(
							'element' => 'icon_type',
							'value' => 'linecons',
						),
					),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Font Size', 'prelude'),
						'param_name' => 'icon_font_size',
						'value' => '30px',
			        ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Width', 'prelude'),
						'param_name' => 'icon_width',
						'value' => '60px',
		            ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Height', 'prelude'),
						'param_name' => 'icon_height',
						'value' => '60px',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Line Height', 'prelude'),
						'param_name' => 'icon_line_height',
						'value' => '',
			        ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Rounded', 'prelude'),
						'param_name' => 'icon_rounded',
						'value' => '',
						'description'	=> esc_html__('ex: 10px', 'prelude'),
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Color', 'prelude'),
						'param_name' => 'icon_color',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Background', 'prelude'),
						'param_name' => 'icon_background',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Border Color', 'prelude'),
						'param_name' => 'icon_border',
						'value' => '',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Icon Border Width', 'prelude'),
						'param_name' => 'icon_border_width',
						'value' => '',
						'description'	=> esc_html__('Default: 1px', 'prelude'),
			        ),
					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Icon Border Style', 'prelude' ),
						'param_name' => 'icon_border_style',
						'value'      => array(
							'Solid' => 'solid',
							'Dotted' => 'dotted',
							'Dashed' => 'dashed'
						),
						'std'		=> 'solid',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Color: Hover', 'prelude'),
						'param_name' => 'icon_color_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Background: Hover', 'prelude'),
						'param_name' => 'icon_background_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Icon Border: Hover', 'prelude'),
						'param_name' => 'icon_border_hover',
						'value' => '',
		            ),
				)                
            ),
		)
	) );
} );

// Step Box
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Step Box', 'prelude' ),
        'description' => esc_html__('Displaying Step Box.', 'prelude'),
		'base'        => 'stepbox',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
            // params group
            array(
				'type' => 'param_group',
				'heading' => 'Number Box',
				'value' => '',
				'param_name' => 'numberbox',
				'group' => esc_html__( 'Number Box', 'prelude' ),
				'params' => array(
					// Icon
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Icon library', 'prelude' ),
						'param_name' => 'icon_type',
						'description' => esc_html__( 'Select icon library.', 'prelude' ),
						'value' => array(
							esc_html__( '', 'prelude' ) => '',
							esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
							esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
						),
					),
					array(
					    'type' => 'iconpicker',
					    'heading' => esc_html__( 'Icon', 'prelude' ),
					    'param_name' => 'icon_extraicon',
					    'settings' => array(
					        'emptyIcon' => true,
					        'type' => 'extraicon',
					        'iconsPerPage' => 200,
					    ),
					    'dependency' => array(
					        'element' => 'icon_type',
					        'value' => 'extraicon',
					    ),
					),
					array(
					    'type' => 'iconpicker',
					    'heading' => esc_html__( 'Icon', 'prelude' ),
					    'param_name' => 'icon_extraicon2',
					    'settings' => array(
					        'emptyIcon' => true,
					        'type' => 'extraicon2',
					        'iconsPerPage' => 200,
					    ),
					    'dependency' => array(
					        'element' => 'icon_type',
					        'value' => 'extraicon2',
					    ),
					),


		            array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__('Heading', 'prelude'),
						'param_name' => 'heading',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Heading Color', 'prelude'),
						'param_name' => 'heading_color',
						'value' => '',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Heading Margin', 'prelude'),
						'param_name' => 'heading_margin',
						'value' => '',
			        ),
					array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__( 'Description', 'prelude' ),
						'param_name' => 'description',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Description Color', 'prelude'),
						'param_name' => 'desc_color',
						'value' => '',
		            ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Description Margin', 'prelude'),
						'param_name' => 'desc_margin',
						'value' => '',
			        ),
				)                
            ),
		)
	) );
} );

// PriceTable
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Price Table', 'prelude' ),
        'description' => esc_html__('Displaying a Price Table.', 'prelude'),
		'base'        => 'pricetable',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'prelude'),
				'param_name' => 'padding',
				'value' => '',
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'bg_color',
				'value' => '',
            ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'prelude'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Position', 'prelude' ),
				'param_name'  => 'bg_position',
				'value'       => array(
					'Left Top' => 'lt',
					'Right Top' => 'rt',
					'Center Top' => 'ct',
					'Center Center' => 'cc',
					'Center Bottom'   => 'cb',
					'Left Bottom' => 'lb',
					'Right Bottom'   => 'rb',
				),
				'std'		=> 'lt',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Repeat', 'prelude' ),
				'param_name'  => 'bg_repeat',
				'value'       => array(
					'No Repeat' => 'no-repeat',
					'Repeat'   => 'repeat',
					'Repeat X'   => 'repeat-x',
					'Repeat Y'   => 'repeat-y',
				),
				'std'		=> 'no-repeat',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Size', 'prelude' ),
				'param_name'  => 'bg_size',
				'value'       => array(
					'Auto' 	   => '',
					'Cover'        => 'cover',
				),
				'std'		=> '',
			),
			// Heading
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading',
				'value' => 'Heading Text',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
			// Price
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Price', 'prelude'),
				'param_name' => 'price',
				'value' => '199',
				'group' => esc_html__( 'Price', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Price Color', 'prelude'),
				'param_name' => 'price_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'prelude' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Currency', 'prelude' ),
				'param_name' => 'currency',
				'value' => '$',
				'group' => esc_html__( 'Price', 'prelude' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Currency Color', 'prelude'),
				'param_name' => 'currency_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'prelude' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Unit', 'prelude' ),
				'param_name' => 'unit',
				'value' => '/MO',
				'group' => esc_html__( 'Price', 'prelude' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Unit Color', 'prelude'),
				'param_name' => 'unit_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'prelude' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'prelude' ),
			),
			// Button
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Text (Required)', 'prelude'),
				'param_name' => 'link_text',
				'value' => 'Sign Up',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'prelude' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'prelude'),
				'param_name' => 'button_rounded',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'prelude'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'prelude'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border Color', 'prelude'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'prelude'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'prelude' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'prelude'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'prelude'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'prelude'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'prelude' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),      
			array(
				'type' => 'headings',
				'text' => esc_html__('Price', 'prelude'),
				'param_name' => 'price_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Price Font Family', 'prelude' ),
				'param_name' => 'price_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Price Font Weight', 'prelude' ),
				'param_name' => 'price_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Font Size', 'prelude'),
				'param_name' => 'price_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Line-Height', 'prelude'),
				'param_name' => 'price_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Unit', 'prelude'),
				'param_name' => 'unit_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Unit Font Family', 'prelude' ),
				'param_name' => 'unit_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Unit Font Weight', 'prelude' ),
				'param_name' => 'unit_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Unit Font Size', 'prelude'),
				'param_name' => 'unit_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'prelude'),
				'param_name' => 'unit_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Margin', 'prelude'),
				'param_name' => 'heading_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Margin', 'prelude'),
				'param_name' => 'price_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Margin', 'prelude'),
				'param_name' => 'content_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Margin', 'prelude'),
				'param_name' => 'button_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
		)
	) );
} );

// PriceTable Group 3
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Price Tables with Switcher', 'prelude' ),
        'description' => esc_html__('Displaying 03 Price Tables with Switcher.', 'prelude'),
		'base'        => 'pricetables',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Switch Text 1', 'prelude'),
				'param_name' => 'switch_text_1',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Switch Text 2', 'prelude'),
				'param_name' => 'switch_text_2',
				'value' => '',
	        ),
            // params group
            array(
				'type' => 'param_group',
				'heading' => 'Price Table Box',
				'value' => '',
				'param_name' => 'pricebox',
				'group' => esc_html__( 'Price Tables', 'prelude' ),
				'params' => array(
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Heading', 'prelude'),
						'param_name' => 'heading',
						'value' => '',
		            ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Price', 'prelude'),
						'param_name' => 'price',
						'value' => '',
		            ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Currency', 'prelude'),
						'param_name' => 'currency',
						'value' => '$',
		            ),
					array(
						'type' 		=> 'textarea',
						'heading' 	=> esc_html__('Features', 'prelude'),
						'param_name' 	=> 'features',
						'value' 		=> '',
					),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Content', 'prelude'),
						'param_name' => 'button_content',
						'value' => '',
			        ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Content Extra', 'prelude'),
						'param_name' => 'button_content_ex',
						'value' => '',
			        ),
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Open Link in a new Tab', 'startflow' ),
						'param_name' => 'new_tab',
						'value' => array(
							'Yes' => 'yes',
							'No' => 'no',
						),
						'std'		=> 'yes',
					),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Link (URL)', 'prelude'),
						'param_name' => 'button_url',
						'value' => '',
			        ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Rounded', 'prelude'),
						'param_name' => 'button_rounded',
						'value' => '',
						'description'	=> esc_html__('Ex: 30px', 'prelude'),
		            ),
					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Button Style', 'prelude' ),
						'param_name' => 'button_style',
						'value'      => array(
							'Background' => 'background',
							'Outline' => 'outline',
						),
						'std'		=> 'background',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Text', 'prelude'),
						'param_name' => 'button_text',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Background', 'prelude'),
						'param_name' => 'button_background',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'background' ),
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Border', 'prelude'),
						'param_name' => 'button_border',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Text: Hover', 'prelude'),
						'param_name' => 'button_text_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Background: Hover', 'prelude'),
						'param_name' => 'button_background_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Border: Hover', 'prelude'),
						'param_name' => 'button_border_hover',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
		            ),
				)                
            ),
		)
	) );
} );

// Content Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_contentbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Content Box', 'prelude'),
		'description' => esc_html__('Content Box.', 'prelude'),
		'base' => 'contentbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'contentbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'prelude'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Position', 'prelude' ),
				'param_name'  => 'bg_position',
				'value'       => array(
					'Left Top' => 'lt',
					'Right Top' => 'rt',
					'Center Top' => 'ct',
					'Center Center' => 'cc',
					'Center Bottom'   => 'cb',
					'Left Bottom' => 'lb',
					'Right Bottom'   => 'rb',
				),
				'std'		=> 'lt',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Repeat', 'prelude' ),
				'param_name'  => 'bg_repeat',
				'value'       => array(
					'No Repeat' => 'no-repeat',
					'Repeat'   => 'repeat',
					'Repeat X'   => 'repeat-x',
					'Repeat Y'   => 'repeat-y',
				),
				'std'		=> 'no-repeat',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Size', 'prelude' ),
				'param_name'  => 'bg_size',
				'value'       => array(
					'Auto' 	   => '',
					'Cover'        => 'cover',
				),
				'std'		=> '',
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            // Spacing
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'center',
				),
				'std'		=> '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'prelude'),
				'param_name' => 'width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'description'	=> esc_html__('Ex: 600px', 'prelude'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width on mobile', 'prelude'),
				'param_name' => 'mobile_width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'description'	=> esc_html__('Ex: 400px', 'prelude'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height', 'prelude'),
				'param_name' => 'height',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'description'	=> esc_html__('Ex: 400px', 'prelude'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'prelude'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding on mobile', 'prelude'),
				'param_name' => 'mobile_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin on mobile', 'prelude'),
				'param_name' => 'mobile_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ), 
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'prelude'),
	        ),
            // Design
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'prelude'),
				'param_name' => 'heading_background',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'background_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'prelude'),
				'param_name' => 'heading_border',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'border_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'prelude'),
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'heading_rounded',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'prelude'),
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'prelude'),
				'param_name' => 'heading_shadow',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'prelude' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'prelude'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'prelude'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'prelude'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'prelude'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'prelude'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
	        // Hover
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'prelude'),
				'param_name' => 'heading_background_hover',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'prelude'),
				'param_name' => 'heading_border_hover',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'border_width_hover',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'prelude'),
				'group' => esc_html__( 'Hover', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'heading_rounded_hover',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'rounded_hover',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'prelude'),
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'prelude'),
				'param_name' => 'heading_shadow_hover',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'prelude' ),
				'param_name'  => 'inset_hover',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'prelude'),
				'param_name' => 'horizontal_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'prelude'),
				'param_name' => 'vertical_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'prelude'),
				'param_name' => 'blur_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'prelude'),
				'param_name' => 'spread_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'prelude'),
				'param_name' => 'shadow_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Transforms', 'prelude'),
				'param_name' => 'heading_transforms',
				'group' => esc_html__( 'Hover', 'prelude' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate X', 'prelude'),
				'param_name' => 'translatex',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'prelude' ),
		  	),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate Y', 'prelude'),
				'param_name' => 'translatey',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'prelude' ),
		  	),
        )
    ) );
} );

// Advanced Text
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Advanced Text', 'prelude' ),
        'description' => esc_html__('Displaying a text with some styles.', 'prelude'),
		'base'        => 'advtext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'DIV' => 'div'
				),
				'std'		=> 'h2',
			),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'prelude'),
				'param_name' => 'color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Max-Width', 'prelude'),
				'param_name' => 'max_width',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'prelude'),
				'param_name' => 'bottom_margin',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'prelude' ),
				'param_name' => 'font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'prelude' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'prelude'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'prelude'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Single Heading
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Single Heading', 'prelude' ),
        'description' => esc_html__('Displaying a single heading with some styles.', 'prelude'),
		'base'        => 'singleheading',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading Text', 'prelude' ),
				'param_name' => 'heading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'prelude'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'prelude'),
				'param_name' => 'line_width',
				'value' => '40',
				'group' => esc_html__( 'Line', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'prelude'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Line', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'prelude'),
				'param_name' => 'line_color',
				'value' => '#00d664',
				'group' => esc_html__( 'Line', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing Between', 'prelude'),
				'param_name' => 'heading_padding',
				'value' => '',
				'group' => esc_html__( 'Line', 'prelude' ),
				'description'	=> esc_html__('Spacing between the line and the text. Ex: 50px.', 'prelude'),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Offset Top', 'prelude'),
				'param_name' => 'line_top',
				'value' => '',
				'group' => esc_html__( 'Line', 'prelude' ),
				'description'	=> esc_html__('Ex: 5px.', 'prelude'),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'prelude'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
		)
	) );
} );

// Headings
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Headings', 'prelude' ),
        'description' => esc_html__('Displaying awesome heading styles.', 'prelude'),
		'base'        => 'headings',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading Text', 'prelude' ),
				'param_name' => 'heading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'prelude'),
				'param_name' => 'heading_width',
				'value' => '',
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading (Optional)', 'prelude' ),
				'param_name' => 'subheading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'prelude'),
				'param_name' => 'subheading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'prelude'),
				'param_name' => 'subheading_width',
				'value' => '',
            ),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Extra Content', 'prelude'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Extra Content', 'prelude' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra Content Max-Width', 'prelude'),
				'param_name' => 'content_width',
				'value' => '',
				'group' => esc_html__( 'Extra Content', 'prelude' ),
            ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator', 'prelude' ),
				'param_name' => 'separator',
				'value'      => array(
					'No Separator' => '',
					'Line' => 'line',
					'Image' => 'image',
				),
				'std'		=> '',
				'group' => esc_html__( 'Separator', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator Position', 'prelude' ),
				'param_name' => 'sep_position',
				'value'      => array(
					'Top' => 'top',
					'Between Heading & Sub-Heading' => 'between',
					'Bottom' => 'bottom',
					'Left' => 'left',
				),
				'std'		=> 'between',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => array( 'line', 'image' ) ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'prelude'),
				'param_name' => 'line_width',
				'value' => '70',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'prelude'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Right Margin', 'prelude'),
				'param_name' => 'line_right_margin',
				'value' => '20',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'sep_position', 'value' => 'left' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'prelude'),
				'param_name' => 'line_color',
				'value' => '#00d664',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'prelude'),
				'param_name' => 'image_width',
				'value' => '',
				'group' => esc_html__( 'Separator', 'prelude' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
	        ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size on Mobile', 'prelude'),
				'param_name' => 'heading_font_size_mobile',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'prelude'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'prelude'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'prelude' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'prelude' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'prelude'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'prelude'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Style', 'prelude' ),
				'param_name' => 'subheading_font_style',
				'value'      => array(
					'Normal' => 'normal',
					'Italic' => 'italic',
				),
				'std'		=> 'normal',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'prelude'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'prelude'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Top Margin', 'prelude'),
				'param_name' => 'subheading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Bottom Margin', 'prelude'),
				'param_name' => 'subheading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
		)
	) );
} );

// Animation Block
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_animationblock extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Animation Block', 'prelude'),
		'description' => esc_html__('Apply animations anywhere.', 'prelude'),
		'base' => 'animationblock',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'animationblock'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
         )
    ) );
} );

// Counter
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Counter', 'prelude' ),
        'description' => esc_html__('Displaying a counter.', 'prelude'),
		'base'        => 'counter',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
				'dependency' => array( 'element' => 'style', 'value' => array('style-1')  ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Left Width', 'prelude'),
				'param_name' => 'left_width',
				'value' => 50,
				'suffix' => '%',
				'dependency' => array( 'element' => 'style', 'value' => array('style-2', 'style-3')  ),
		  	),
			array(
				'type' => 'number',
				'heading' => esc_html__('Right Width', 'prelude'),
				'param_name' => 'right_width',
				'value' => 50,
				'suffix' => '%',
				'dependency' => array( 'element' => 'style', 'value' => array('style-2', 'style-3')  ),
		  	),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon3',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon3',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon3',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'prelude'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'prelude'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line-Height', 'prelude'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
			// Number
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Tag', 'prelude' ),
				'param_name' => 'number_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Number', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Show', 'prelude' ),
				'param_name' => 'decimals',
				'value'      => array(
					'Normal' => '0',
					'Decimal' => '1',
				),
				'std'		=> '0',
				'group' => esc_html__( 'Number', 'prelude' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Number', 'prelude' ),
				'param_name' => 'number',
				'group' => esc_html__( 'Number', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Number Color', 'prelude'),
				'param_name' => 'number_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'prelude' ),
            ),
			array(
				'type' => 'number',
				'heading' => esc_html__('Rolling Time', 'prelude'),
				'param_name' => 'time',
				'value' => 5000,
				'suffix' => 'ms',
				'group' => esc_html__( 'Number', 'prelude' ),
		  	),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Prefix (Optional)', 'prelude' ),
				'param_name' => 'number_prefix',
				'group' => esc_html__( 'Number', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Color', 'prelude'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'prelude' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Suffix (Optional)', 'prelude' ),
				'param_name' => 'number_suffix',
				'group' => esc_html__( 'Number', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Color', 'prelude'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'prelude' ),
            ),
		  	// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'prelude' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'div',
				'group' => esc_html__( 'Heading', 'prelude' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading', 'prelude' ),
				'param_name' => 'heading',
				'group' => esc_html__( 'Heading', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'prelude'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'prelude'),
				'param_name' => 'heading_max_width',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading', 'prelude' ),
				'param_name' => 'subheading',
				'group' => esc_html__( 'Heading', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'prelude'),
				'param_name' => 'subheading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'prelude'),
				'param_name' => 'subheading_max_width',
				'value' => '',
				'group' => esc_html__( 'Heading', 'prelude' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Number Settings', 'prelude'),
				'param_name' => 'number_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Family', 'prelude' ),
				'param_name' => 'number_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Weight', 'prelude' ),
				'param_name' => 'number_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Font Size', 'prelude'),
				'param_name' => 'number_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Font Size on Mobile', 'prelude'),
				'param_name' => 'number_font_size_mobile',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Line Height', 'prelude'),
				'param_name' => 'number_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Letter Spacing', 'prelude'),
				'param_name' => 'number_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading Settings', 'prelude'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'prelude' ),
				'param_name' => 'heading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'prelude' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'prelude'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'prelude'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'prelude'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading Settings', 'prelude'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'prelude' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'prelude' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'prelude'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'prelude'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Letter Spacing', 'prelude'),
				'param_name' => 'subheading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'prelude'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Margin', 'prelude'),
				'param_name' => 'icon_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Top Margin', 'prelude'),
				'param_name' => 'number_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Right Margin', 'prelude'),
				'param_name' => 'number_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Bottom Margin', 'prelude'),
				'param_name' => 'number_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'prelude'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'prelude'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
		)
	) );
} );

// Video Icon
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Video Icon', 'prelude' ),
        'description' => esc_html__('Displaying Icon with custom video popup.', 'prelude'),
		'base'        => 'videoicon',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'White' => 'white',
					'Accent' => 'accent',
					'Blue' => 'blue',  //0575e6
					'Orange' => 'orange', //f7b446
					'Red' => 'red',  //ff3366
					'Purple' => 'purple', //7540ee
					'Picton' => 'picton', //3fb6dc
				),
				'std'		=> 'white',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'prelude' ),
				'param_name' => 'size',
				'value'      => array(
					'Big' => 'big',
					'Small' => 'small',
				),
				'std'		=> 'big',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Link Youtube/Vimeo (URL)', 'prelude'),
				'param_name' => 'video_url',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
		)
	) );
} );

// Simple Image
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Simple Image', 'prelude' ),
        'description' => esc_html__('Displaying a simple image with animation.', 'prelude'),
		'base'        => 'simpleimage',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'edukul'),
				'param_name' => 'image',
				'value' => '',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Image Stretch?', 'edukul' ),
				'param_name' => 'img_stretch',
				'value'      => array( esc_html__( 'Yes, please.', 'edukul' ) => 'yes' ),
			),
            // Effect
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Effect', 'edukul' ),
				'param_name' => 'effect',
				'value'      => array(
					'No Effect' => 'simple',
					'Reveal' => 'reveal',
					'Background' => 'background',
				),
				'std'		=> 'simple',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Reveal Direction', 'edukul' ),
				'param_name' => 'reveal_dir',
				'value'      => array(
					'Left - Right' => 'lr',
					'Right - Left' => 'rl',
					'Top - Bottom' => 'tb',
					'Bottom - Top' => 'bt',
				),
				'std'		=> 'lr',
				'dependency' => array( 'element' => 'effect', 'value' => 'reveal' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Reveal Background', 'edukul'),
				'param_name' => 'reveal_bg',
				'value' => '#dddddd',
				'dependency' => array( 'element' => 'effect', 'value' => 'reveal' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Background Position', 'edukul' ),
				'param_name' => 'bg_pos',
				'value'      => array(
					'Top' => 'top',
					'Right' => 'right',
					'Bottom' => 'bottom',
					'Left' => 'left',
				),
				'std'		=> 'top',
				'dependency' => array( 'element' => 'effect', 'value' => 'background' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'edukul'),
				'param_name' => 'image_width',
				'value' => '',
				'dependency' => array( 'element' => 'effect', 'value' => 'simple' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'edukul'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'edukul'),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Center Alignment', 'edukul' ),
				'param_name' => 'center_align',
				'value'      => array( esc_html__( 'Yes, please.', 'edukul' ) => 'yes' ),
				'dependency' => array( 'element' => 'effect', 'value' => 'simple' ),
			),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'edukul'),
				'param_name' => 'url',
				'value' => '',
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'edukul' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'edukul' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'edukul' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'edukul' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'edukul'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'edukul'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'edukul'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'edukul'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Box Shadow
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'edukul' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'edukul'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'edukul'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'edukul'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'edukul'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'edukul'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => array('simple','reveal') ),
            ),
			// Video Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'edukul' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'White' => 'white',
					'Accent' => 'accent',
					'Blue' => 'blue',  //0575e6
					'Orange' => 'orange', //f7b446
					'Red' => 'red',  //ff3366
					'Purple' => 'purple', //7540ee
					'Picton' => 'picton', //3fb6dc
				),
				'std'		=> 'white',
				'group' => esc_html__( 'Video Icon', 'edukul' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'edukul' ),
				'param_name' => 'icon_size',
				'value'      => array(
					'Big' => 'big',
					'Small' => 'small',
				),
				'std'		=> 'big',
				'group' => esc_html__( 'Video Icon', 'edukul' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Link Youtube/Vimeo (URL)', 'edukul'),
				'param_name' => 'video_url',
				'value' => '',
				'group' => esc_html__( 'Video Icon', 'edukul' ),
	        ),
			// Stretch
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Stretch', 'edukul' ),
				'param_name' => 'stretch',
				'value'      => array(
					'No Stretch' => '',
					'Stretch To Right' => 'stretch_right',
					'Stretch To Left' => 'stretch_left',
					'Stretch on Mobile' => 'stretch_mobi',
				),
				'std'		=> '',
				'group' => esc_html__( 'Stretch', 'edukul' ),
				'dependency' => array( 'element' => 'effect', 'value' => 'reveal' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Offset Left', 'edukul'),
				'param_name' => 'offset_left',
				'value' => '-22vw',
				'group' => esc_html__( 'Stretch', 'edukul' ),
				'dependency' => array( 'element' => 'stretch', 'value' => 'stretch_left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Offset Right', 'edukul'),
				'param_name' => 'offset_right',
				'value' => '-22vw',
				'group' => esc_html__( 'Stretch', 'edukul' ),
				'dependency' => array( 'element' => 'stretch', 'value' => 'stretch_right' ),
	        ),
		)
	) );
} );

// Parallax Image Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_parallaxbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Parallax Image Box', 'prelude' ),
        'description' => esc_html__('Parallax Box', 'prelude'),
		'base'        => 'parallaxbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'parallaxitem' ),
		'controls' => 'full',
		'show_settings_on_create' => false,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView'
	) );
} );

// Parallax Box Item
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'prelude' ),
    'description' => esc_html__('Item for Parallax Image Box', 'prelude'),
		'base'        => 'parallaxitem',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'as_child'    => array( 'only' => 'parallaxbox' ),
		'params'      => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width', 'prelude'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('You can use % or px value. Ex: 50%.', 'prelude'),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'prelude'),
				'param_name' => 'image_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'prelude'),
            ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax X', 'prelude'),
	            'param_name' => 'parallax_x',
	            'description'   => esc_html__('X axis translation.', 'prelude'),
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax Y', 'prelude'),
	            'param_name' => 'parallax_y',
	            'description'   => esc_html__('Y axis translation.', 'prelude'),
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Smoothness', 'prelude'),
	            'param_name' => 'smoothness',
	            'value' => '30',
	            'description'   => esc_html__('Slowdown the animation.', 'prelude'),
	        ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Left', 'prelude'),
				'param_name' => 'left',
				'value' => '',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Top', 'prelude'),
				'param_name' => 'top',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'prelude' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'prelude'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'prelude'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'prelude'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'prelude'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'prelude'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
            ),
		)
	) );
} );

// Icons
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icons', 'prelude' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'prelude'),
		'base'        => 'icons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_fontawesome',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'prelude'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'prelude'),
				'param_name' => 'width',
				'value' => '60',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height', 'prelude'),
				'param_name' => 'height',
				'value' => '60',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'prelude'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'prelude'),
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'prelude'),
				'param_name' => 'color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'background_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'border_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'prelude'),
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'prelude' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Design', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
				'group' => esc_html__( 'Design', 'prelude' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color: Hover', 'prelude'),
				'param_name' => 'color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'prelude'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'prelude'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'prelude' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'prelude' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
		)
	) );
} );

// Divider
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Divider', 'prelude'),
        'description' => esc_html__('Displaying lines separator.', 'prelude'),
        'base' => 'divider',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'divider-left',
					'Center' => 'divider-center',
					'Right' => 'divider-right',
				),
				'std'		=> 'divider-center',
				'dependency' => array( 'element' => 'icon_display', 'value' => 'no-icon' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Line Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
					'Double' => 'double',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Width', 'prelude'),
				'param_name' => 'width',
				'value' => '',
				'description' => esc_html__( 'Default: 100%.', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Height', 'prelude'),
				'param_name' => 'height',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'prelude'),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line: Color', 'prelude'),
				'param_name' => 'color',
				'value' => '',
            ),
			// Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'prelude' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'No Icon' => 'no-icon',
					'Icon Font' => 'icon-font',
				),
				'std'		=> 'no-icon',
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon: Color', 'prelude'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Font Size', 'prelude'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Padding', 'prelude'),
				'param_name' => 'icon_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'description'	=> esc_html__('Top Right Bottom Left. Default: 0px 12px 0px 12px', 'prelude'),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'prelude'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Top Margin', 'prelude'),
				'param_name' => 'top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Bottom Margin', 'prelude'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
	        ),
        )
    ) );
} );

// Alignment Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_alignbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Alignment Box', 'prelude' ),
        'description' => esc_html__('Align elements.', 'prelude'),
		'base'        => 'alignbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'alignbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Hide on Mobile?', 'prelude' ),
				'param_name' => 'mobi_hide',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
		)
	) );
} );

// Grid Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_gridbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Grid Box', 'prelude'),
		'description' => esc_html__('Grid Box.', 'prelude'),
		'base' => 'gridbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'gridbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Grid', 'prelude' ),
				'param_name' => 'grid',
				'value'      => array(
					'Grid 4' => '4',
					'Grid 3' => '3',
					'Grid 2' => '2',
				),
				'std'		=> '3',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Border Type?', 'prelude' ),
				'param_name' => 'border_type',
				'value' => array(
					'Separator' => 'separator',
					'Wrap' => 'wrap',
					'No Border' => 'no',
				),
				'std'		=> 'separator',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Border Color', 'prelude' ),
				'param_name' => 'border_color',
				'value' => array(
					'Light' => 'light',
					'Dark' => 'dark',
					'Very Light' => 'verylight',
				),
				'std'		=> 'light',
				'dependency' => array( 'element' => 'border_type', 'value' => array('separator', 'wrap') ),
			),
			array(
				'type'       => 'dropdown',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gapv',
				'value'      => array(
					'0' => '0',
					'5' => '5',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
				),
				'std'		=> '30',
				'dependency' => array( 'element' => 'border_type', 'value' => 'no' ),
			),
			array(
				'type'       => 'dropdown',
				'heading' => esc_html__('Spacing below items', 'prelude'),
				'param_name' => 'gaph',
				'value'      => array(
					'0' => '0',
					'5' => '5',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'60' => '60',
				),
				'std'		=> '15',
				'dependency' => array( 'element' => 'border_type', 'value' => 'no' ),
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Buttons
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Buttons', 'prelude'),
        'description' => esc_html__('Advanced Buttons.', 'prelude'),
        'base' => 'buttons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Text', 'prelude'),
				'param_name' => 'text',
				'value' => 'Button Text',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'prelude' ),
				'param_name' => 'size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'prelude'),
				'param_name' => 'background_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'prelude'),
				'param_name' => 'border_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'prelude'),
				'param_name' => 'border_width',
				'value' => '1px',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'prelude' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'prelude'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'prelude'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'prelude'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 40px 13px 40px', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'prelude'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'prelude'),
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Full-width Button?', 'prelude' ),
				'param_name' => 'full_width',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'prelude'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'prelude'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'prelude'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Hover
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color: Hover', 'prelude'),
				'param_name' => 'text_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'prelude'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'prelude'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'prelude'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'prelude' ),
            ),
			// Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'prelude' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'No Icon' => 'no_icon',
					'Icon Style 1' => 'icon_style_1',
					'Icon Style 2' => 'icon_style_2',
					'Custom Icon' => 'custom',
				),
				'std'		=> 'no_icon',
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'prelude' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'prelude' ),
				'value' => array(
					esc_html__( '', 'prelude' ) => '',
					esc_html__( 'Prelude Icons', 'prelude' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'prelude' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'prelude' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'prelude' ) => 'openiconic',
					esc_html__( 'Typicons', 'prelude' ) => 'typicons',
					esc_html__( 'Entypo', 'prelude' ) => 'entypo',
					esc_html__( 'Linecons', 'prelude' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'prelude' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'prelude' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'prelude' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'prelude'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'prelude'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'prelude' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
				),
				'std'		=> 'icon-right',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Padding', 'prelude'),
				'param_name' => 'icon_right_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'prelude'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Left Padding', 'prelude'),
				'param_name' => 'icon_left_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'prelude'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-right' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon: Offset', 'prelude' ),
				'param_name' => 'icon_offset',
				'value'      => array(
					'-15px' => '-15',
					'-14px' => '-14',
					'-13px' => '-13',
					'-12px' => '-12',
					'-11px' => '-11',
					'-10px' => '-10',
					'-9px' => '-9',
					'-8px' => '-8',
					'-7px' => '-7',
					'-6px' => '-6',
					'-5px' => '-5',
					'-4px' => '-4',
					'-3px' => '-3',
					'-2px' => '-2',
					'-1px' => '-1',
					'0px' => '0',
					'1px' => '1',
					'2px' => '2',
					'3px' => '3',
					'4px' => '4',
					'5px' => '5',
					'6px' => '6',
					'7px' => '7',
					'8px' => '8',
					'9px' => '9',
					'10px' => '10',
					'11px' => '11',
					'12px' => '12',
					'13px' => '13',
					'14px' => '14',
					'15px' => '15',
				),
				'std'		=> '0',
				'group' => esc_html__( 'Icon', 'prelude' ),
				'description'	=> esc_html__('Use this to change the distance middle the icon and top of button.', 'prelude'),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'prelude'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'prelude' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'prelude' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'prelude' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
			// Box Shadow
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'prelude'),
				'param_name' => 'heading_shadow',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'prelude' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'prelude'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'prelude'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'prelude'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'prelude'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'prelude'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'prelude' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'prelude' ),
				'param_name' => 'font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'prelude' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'prelude'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line-Height', 'prelude'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
        )
    ) );
} );

// Hero Section
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_hero extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Hero Section', 'prelude'),
        'description' => esc_html__('Hero Section.', 'prelude'),
        'base' => 'hero',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'hero'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Hero Height', 'prelude' ),
				'param_name' => 'hero_height',
				'value'      => array(
					'Full Screen' => 'full-height',
					'Custom Height' => 'custom-height',
				),
				'std'		=> 'full-height',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Hero Custom Height', 'prelude'),
				'param_name' => 'hero_custom_height',
				'value' => '',
				'description'	=> esc_html__('Ex: 600px.', 'prelude'),
				'dependency' => array( 'element' => 'hero_height', 'value' => 'custom-height' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'prelude' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Background Slideshow' => 'slideshow',
					'Background Video' => 'video',
				),
				'std'		=> 'slideshow',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Background Images', 'prelude'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for background slideshow.', 'prelude'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Effects', 'prelude' ),
				'param_name' => 'effect',
				'value'      => array(
					'fade' => 'fade',
					'fade2' => 'fade2',
					'slideLeft' => 'slideLeft',
					'slideLeft2' => 'slideLeft2',
					'slideRight' => 'slideRight',
					'slideRight2' => 'slideRight2',
					'slideUp' => 'slideUp',
					'slideDown' => 'slideDown',
					'slideDown2' => 'slideDown2',
					'zoomIn' => 'zoomIn',
					'zoomIn2' => 'zoomIn2',
					'zoomOut' => 'zoomOut',
					'zoomOut2' => 'zoomOut2',
					'swirlLeft' => 'swirlLeft',
					'swirlLeft2' => 'swirlLeft2',
					'swirlRight' => 'swirlRight',
					'swirlRight2' => 'swirlRight2',
					'burn' => 'burn',
					'burn2' => 'burn2',
					'blur' => 'blur',
					'blur2' => 'blur2',
					'flash' => 'flash',
					'flash2' => 'flash2'
				),
				'std'		=> 'fade',
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Youtube link (URL)', 'prelude'),
				'param_name' => 'video_link',
				'value' => '',
				'description' => esc_html__('Youtube link or ID. Ex: https://www.youtube.com/watch?v=vQqZIFCab9o', 'prelude'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'video' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Pattern Overlay', 'prelude' ),
				'param_name' => 'pattern_overlay',
				'value'      => array(
					'No Parttern' => '',
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
					'Style 5' => 'style-5',
					'Style 6' => 'style-6',
					'Style 7' => 'style-7',
					'Style 8' => 'style-8',
					'Style 9' => 'style-9',
				),
				'std'		=> 'style-1',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color Overlay', 'prelude'),
				'param_name' => 'color_overlay',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Top Margin', 'prelude'),
				'param_name' => 'content_top',
				'value' => '',
				'description'	=> esc_html__('Ex: 50px. In case you want to set a spacing above the content area.', 'prelude'),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Content area into Grid?', 'prelude' ),
				'param_name' => 'grid',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			// Arrow
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show arrow?', 'prelude' ),
				'param_name' => 'scroll',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
				'group' => esc_html__( 'Arrow', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Style', 'prelude' ),
				'param_name' => 'arrow_style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
				'group' => esc_html__( 'Arrow', 'prelude' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Scroll to Row (ID)', 'prelude'),
				'param_name' => 'scroll_id',
				'value' => '',
				'description' => esc_html__('Enter the anchor ID you assigned to the element.', 'prelude'),
				'group' => esc_html__( 'Arrow', 'prelude' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Images Slider or Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name' => esc_html__( 'Images Slider or Grid', 'prelude' ),
		'description' => esc_html__('Displaying images in slider, masonry or mosaic grid.', 'prelude'),
		'base' => 'imagesgrid',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Layout', 'prelude' ),
				'param_name' => 'mode',
				'value'      => array(
					'Slider' => 'slider',
					'Masonry' => 'grid',
					'Masonry' => 'mosaic',
				),
				'std'		=> 'slider',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'570 x 570' => 'square',
					'370 x 370' => 'square2',
					'570 x 450' => 'rectangle',
					'570 x 400' => 'rectangle2',
					'370 x 250' => 'rectangle3',
					'370 x 370' => 'rectangle4',
					'370 x 550' => 'rectangle5'
				),
				'std'		=> 'full',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'prelude'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Images Grid.', 'prelude')
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'prelude'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'prelude'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gapv',
				'value' => '0',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'prelude'),
				'param_name' => 'gaph',
				'value' => '0',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px.', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Column Options', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px.', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Column Options', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px.', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Column Options', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px.', 'prelude' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Column Options', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
		)
	) );
} );

// Images Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name' => esc_html__( 'Images Carousel', 'prelude' ),
		'description' => esc_html__('Displaying images in carousel.', 'prelude'),
		'base' => 'imagescarousel',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'prelude' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
				),
				'std'		=> 'full',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'prelude'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Images Grid.', 'prelude')
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Border?', 'prelude' ),
				'param_name' => 'show_borders',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'prelude' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'prelude'),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Spacing Between', 'prelude'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'prelude' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Center' => 'center',
					'Bottom' => 'bottom',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Column
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
		)
	) );
} );

// Scroll Target
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Scroll to ID Target', 'prelude' ),
        'description' => esc_html__('Displaying a arrow for scrolling down when clicked.', 'prelude'),
		'base'        => 'scrolltarget',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
		'params'      => array(
            array(
				'type' => 'textfield',
				'heading' => esc_html__('ID Target', 'prelude'),
				'param_name' => 'id_target',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'prelude'),
				'param_name' => 'color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Size', 'prelude'),
				'param_name' => 'size',
				'value' => '',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
		)
	) );
} );

// Special Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Special Text', 'prelude'),
        'description' => esc_html__('Awesome Texts.', 'prelude'),
        'base' => 'specialtext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-left',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'Div' => 'div',
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'div',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 1 (Optional)', 'prelude' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 2 (Optional)', 'prelude' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 3 (Optional)', 'prelude' ),
				'param_name' => 'text3',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 1 Color', 'prelude'),
				'param_name' => 'color1',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 2 Color', 'prelude'),
				'param_name' => 'color2',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 3 Color', 'prelude'),
				'param_name' => 'color3',
				'value' => '',
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 1', 'prelude'),
				'param_name' => 'text1_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Family', 'prelude' ),
				'param_name' => 'text1_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Weight', 'prelude' ),
				'param_name' => 'text1_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Font Size', 'prelude'),
				'param_name' => 'text1_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Style', 'prelude' ),
				'param_name' => 'text1_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 2', 'prelude'),
				'param_name' => 'text2_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Family', 'prelude' ),
				'param_name' => 'text2_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Weight', 'prelude' ),
				'param_name' => 'text2_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Font Size', 'prelude'),
				'param_name' => 'text2_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Style', 'prelude' ),
				'param_name' => 'text2_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 3', 'prelude'),
				'param_name' => 'text3_typograpy',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Family', 'prelude' ),
				'param_name' => 'text3_font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Weight', 'prelude' ),
				'param_name' => 'text3_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 3: Font Size', 'prelude'),
				'param_name' => 'text3_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'prelude' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Style', 'prelude' ),
				'param_name' => 'text3_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			// Spacing
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Right Padding', 'prelude'),
				'param_name' => 'text1_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Right Padding', 'prelude'),
				'param_name' => 'text2_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'prelude' ),
            ),
        )
    ) );
} );

// Fancy Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Fancy Text', 'prelude'),
        'description' => esc_html__('Awesome Animation Text.', 'prelude'),
        'base' => 'fancytext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'prelude' ),
				'param_name' => 'animation',
				'value'      => array(
					'Scrolling' => 'scroll',
					'Typing' => 'typed',
				),
				'std'		=> 'scroll',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 1 (Optional)', 'prelude' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 2 (Optional)', 'prelude' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 3 (Optional)', 'prelude' ),
				'param_name' => 'text3',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 4 (Optional)', 'prelude' ),
				'param_name' => 'text4',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 5 (Optional)', 'prelude' ),
				'param_name' => 'text5',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Prefix Text (Optional)', 'prelude' ),
				'param_name' => 'prefix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'prelude' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Suffix Text (Optional)', 'prelude' ),
				'param_name' => 'suffix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'prelude' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'prelude'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Text Color', 'prelude'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'prelude' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Text Color', 'prelude'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'prelude' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'prelude' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'prelude' ),
				'param_name' => 'font_family',
				'value'      =>  prelude_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'prelude' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'prelude' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Max', 'prelude' ),
				'param_name' => 'font_max',
				'value' => 70,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'prelude' ),
				'description'	=> esc_html__('Important! This size only appear exactly on the full-width grid, 65px max-size on the 1170 grid and 32px max-size on the 570px grid.', 'prelude'),
		  	),
		  	array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Min', 'prelude' ),
				'param_name' => 'font_min',
				'value' => 22,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'prelude' ),
		  	),
        )
    ) );
} );

// Partner Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Partner Carousel', 'prelude'),
	    'description' => esc_html__('Displaying partner posts in carousel.', 'prelude'),
	    'base' => 'partners',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'prelude'),
	    'params' => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Border?', 'prelude' ),
				'param_name' => 'show_border',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'prelude'),
				'param_name' => 'gap',
				'value' => '10',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'prelude' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'prelude'),
			),
			// Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'prelude'),
				'param_name' => 'items',
				'value' => '5',
				'group' => esc_html__( 'Query', 'prelude' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'prelude'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Only show posts from specific category-slug (optional).', 'prelude'),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'prelude' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'prelude' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
	    )
	) );
} );

// Share Icons
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Share Socials', 'prelude'),
        'description' => esc_html__('Share Socials.', 'prelude'),
        'base' => 'shareicons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Facebook?', 'prelude' ),
				'param_name' => 'facebook',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Twitter?', 'prelude' ),
				'param_name' => 'twitter',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Pinterest?', 'prelude' ),
				'param_name' => 'pinterest',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Linkedin?', 'prelude' ),
				'param_name' => 'linkedin',
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
        )
    ) );
} );

// Subscribe Form
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Subscribe Form', 'prelude'),
        'description' => esc_html__('Displaying mailchimp newsletter form.', 'prelude'),
        'base' => 'subscribe',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'prelude' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'prelude' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Max-Width', 'prelude'),
				'param_name' => 'width',
				'value' => '',
            ),
        )
    ) );
} );

// Google Maps
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Google Maps', 'prelude'),
        'description' => esc_html__('Displaying Google Maps.', 'prelude'),
        'base' => 'googlemap',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Latitude', 'prelude' ),
				'param_name'  => 'lat',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'prelude').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'prelude'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Longitude', 'prelude' ),
				'param_name'  => 'lng',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'prelude').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'prelude'),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Width', 'prelude' ),
				'param_name' => 'width',
				'value'      => ''
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Height', 'prelude' ),
				'param_name' => 'height',
				'value'      => 300
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Zoom Level', 'prelude' ),
				'param_name'  => 'zoom',
				'description' => esc_html__( 'Select the default zoom level for the Maps', 'prelude' ),
				'value'       => array_combine( range( 1, 24 ), range( 1, 24 ) ),
				'std'		  => '14'
			),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Mobile' ),
                'param_name' => 'drag_mobile',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Desktop' ),
                'param_name' => 'drag_desktop',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Show The Marker', 'prelude' ),
				'param_name'  => 'marker_type',
				'value'       => array(
					'Simple'          => 'simple',
					'Custom Image' => 'image',
				),
				'std'		=> 'simple',
				'group' => esc_html__( 'Maker', 'prelude' ),
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'prelude'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Maker', 'prelude' ),
				'dependency' => array( 'element' => 'marker_type', 'value' => 'image' ),
			),
        )
    ) );
} );

// Products Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Products Carousel', 'prelude'),
        'description' => esc_html__('Displaying products in carousel.', 'prelude'),
        'base' => 'dproducts',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number', 'prelude'),
				'param_name' => 'number',
				'value' => '4',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('The number of campaigns to show.', 'prelude'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Space Between', 'prelude'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'prelude' ),
				'description'	=> esc_html__('Important! Include the blur distance of the shadow.', 'prelude'),
	        ),
	        // Controls
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'prelude' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'prelude'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'prelude' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'prelude' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'prelude' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'prelude'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'prelude' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'prelude' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array( esc_html__( 'Yes, please.', 'prelude' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'prelude' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'prelude' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'prelude' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'prelude' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'prelude' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'prelude' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'prelude' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Countdown
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('CountDown', 'prelude'),
        'description' => esc_html__('Displaying Countdown Timer.', 'prelude'),
        'base' => 'countdown',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'prelude'),
        'params' => array(
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Time', 'prelude' ),
				'param_name' => 'time',
				'value' => 'December 30, 2020 8:30:00'
			),
        )
    ) );
} );